import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local fontWidth = {
	[Turbine.UI.Lotro.Font.Undefined] = {
		default = 7,
		width = { [" "] = 8 },
		head = { },
		tail = {
			[" "]  = -1, ["!"]  = -3, ["\""] = -2, ["#"]  =  0, ["$"]  = -1, ["%"]  =  0, ["&"]  =  0, ["'"]  = -3,
			["("]  = -1, [")"]  = -2, ["*"]  = -1, ["+"]  =  0, [","]  = -3, ["-"]  = -1, ["."]  = -3, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -1, ["2"]  = -1, ["3"]  = -2, ["4"]  = -1, ["5"]  = -2, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -2, [";"]  = -3, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  = -1,
			["@"]  =  0, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -2, ["K"]  =  0, ["L"]  = -1, ["M"]  = -1, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  =  0, ["R"]  =  0, ["S"]  = -1, ["T"]  =  0, ["U"]  = -1, ["V"]  =  0, ["W"]  =  0,
			["X"]  =  0, ["Y"]  =  0, ["Z"]  = -1, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -3, ["a"]  =  0, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -3, ["j"]  = -2, ["k"]  =  0, ["l"]  = -3, ["m"]  =  0, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -1, ["r"]  = -1, ["s"]  = -1, ["t"]  = -1, ["u"]  = -1, ["v"]  =  0, ["w"]  =  0,
			["x"]  = -1, ["y"]  = -1, ["z"]  = -1, ["{"]  = -1, ["|"]  = -3, ["}"]  = -1, ["~"]  =  0
		}
	},

	[Turbine.UI.Lotro.Font.Arial12] = {
		default = 5,
		width = {
			[" "]  =  4, ["!"]  =  3, ["\""] =  3, ["#"]  =  5, ["$"]  =  5, ["%"]  =  8, ["&"]  =  6, ["'"]  =  2,
			["("]  =  3, [")"]  =  3, ["*"]  =  4, ["+"]  =  5, [","]  =  3, ["-"]  =  3, ["."]  =  3, ["/"]  =  3,
			["0"]  =  5, ["1"]  =  5, ["2"]  =  5, ["3"]  =  5, ["4"]  =  5, ["5"]  =  5, ["6"]  =  5, ["7"]  =  5,
			["8"]  =  5, ["9"]  =  5, [":"]  =  3, [";"]  =  3, ["<"]  =  5, ["="]  =  5, [">"]  =  5, ["?"]  =  5,
			["@"]  =  9, ["A"]  =  6, ["B"]  =  6, ["C"]  =  7, ["D"]  =  7, ["E"]  =  6, ["F"]  =  6, ["G"]  =  7,
			["H"]  =  7, ["I"]  =  3, ["J"]  =  5, ["K"]  =  6, ["L"]  =  5, ["M"]  =  7, ["N"]  =  7, ["O"]  =  7,
			["P"]  =  6, ["Q"]  =  7, ["R"]  =  7, ["S"]  =  6, ["T"]  =  5, ["U"]  =  7, ["V"]  =  6, ["W"]  =  9,
			["X"]  =  5, ["Y"]  =  7, ["Z"]  =  6, ["["]  =  3, ["\\"] =  3, ["]"]  =  3, ["^"]  =  3, ["_"]  =  5,
			["`"]  =  3, ["a"]  =  5, ["b"]  =  5, ["c"]  =  5, ["d"]  =  5, ["e"]  =  5, ["f"]  =  4, ["g"]  =  5,
			["h"]  =  5, ["i"]  =  2, ["j"]  =  2, ["k"]  =  5, ["l"]  =  2, ["m"]  =  8, ["n"]  =  5, ["o"]  =  5,
			["p"]  =  5, ["q"]  =  5, ["r"]  =  3, ["s"]  =  5, ["t"]  =  3, ["u"]  =  5, ["v"]  =  6, ["w"]  =  6,
			["x"]  =  5, ["y"]  =  6, ["z"]  =  4, ["{"]  =  3, ["|"]  =  3, ["}"]  =  3, ["~"]  =  5
		},
		head = { ["V"] = 2, ["j"] = 2, ["t"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] =  0, ["#"]  = -1, ["$"]  =  0, ["%"]  = -1, ["&"]  =  0, ["'"]  = -1,
			["("]  =  0, [")"]  =  0, ["*"]  = -1, ["+"]  =  0, [","]  = -1, ["-"]  = -1, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  =  0,
			["@"]  =  0, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  =  0, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  0, ["L"]  =  0, ["M"]  =  0, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  =  0, ["S"]  = -1, ["T"]  =  0, ["U"]  = -1, ["V"]  =  2, ["W"]  =  0,
			["X"]  =  0, ["Y"]  = -1, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -1, ["^"]  =  0, ["_"]  =  0,
			["`"]  = -1, ["a"]  = -1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  =  0, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  = -1, ["l"]  = -1, ["m"]  = -1, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -1, ["r"]  =  0, ["s"]  = -1, ["t"]  = -1, ["u"]  = -1, ["v"]  = -1, ["w"]  = -1,
			["x"]  = -1, ["y"]  = -1, ["z"]  = -1, ["{"]  =  0, ["|"]  = -1, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro13] = {
		default = 6,
		width = {
			[" "]  =  4, ["!"]  =  3, ["\""] =  3, ["#"]  =  6, ["$"]  =  6, ["%"]  =  9, ["&"]  =  8, ["'"]  =  2,
			["("]  =  4, [")"]  =  4, ["*"]  =  4, ["+"]  =  5, [","]  =  3, ["-"]  =  4, ["."]  =  3, ["/"]  =  6,
			["0"]  =  6, ["1"]  =  6, ["2"]  =  6, ["3"]  =  6, ["4"]  =  6, ["5"]  =  6, ["6"]  =  6, ["7"]  =  6,
			["8"]  =  6, ["9"]  =  6, [":"]  =  3, [";"]  =  3, ["<"]  =  5, ["="]  =  5, [">"]  =  5, ["?"]  =  5,
			["@"]  =  9, ["A"]  =  7, ["B"]  =  7, ["C"]  =  8, ["D"]  =  9, ["E"]  =  6, ["F"]  =  6, ["G"]  =  9,
			["H"]  = 10, ["I"]  =  4, ["J"]  =  4, ["K"]  =  8, ["L"]  =  6, ["M"]  = 11, ["N"]  =  9, ["O"]  =  9,
			["P"]  =  6, ["Q"]  =  9, ["R"]  =  8, ["S"]  =  6, ["T"]  =  7, ["U"]  =  8, ["V"]  =  7, ["W"]  = 11,
			["X"]  =  7, ["Y"]  =  7, ["Z"]  =  7, ["["]  =  4, ["\\"] =  5, ["]"]  =  4, ["^"]  =  5, ["_"]  =  5,
			["`"]  =  9, ["a"]  =  6, ["b"]  =  6, ["c"]  =  7, ["d"]  =  8, ["e"]  =  6, ["f"]  =  5, ["g"]  =  8,
			["h"]  =  8, ["i"]  =  4, ["j"]  =  4, ["k"]  =  7, ["l"]  =  5, ["m"]  =  9, ["n"]  =  8, ["o"]  =  8,
			["p"]  =  6, ["q"]  =  8, ["r"]  =  7, ["s"]  =  5, ["t"]  =  6, ["u"]  =  7, ["v"]  =  7, ["w"]  = 10,
			["x"]  =  6, ["y"]  =  6, ["z"]  =  6, ["{"]  =  4, ["|"]  =  5, ["}"]  =  4, ["~"]  =  5
		},
		head = { ["*"] = 2, ["+"] = 2, ["Q"] = 2, ["j"] = 2, ["q"] = 1, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] =  0, ["#"]  = -1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  1, ["'"]  =  0,
			["("]  =  0, [")"]  = -1, ["*"]  =  0, ["+"]  = -1, [","]  = -1, ["-"]  = -1, ["."]  = -1, ["/"]  = -1,
			["0"]  = -1, ["1"]  = -2, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  = -1, ["="]  = -1, [">"]  =  0, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  =  0, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -1, ["I"]  =  0, ["J"]  =  0, ["K"]  =  1, ["L"]  =  0, ["M"]  = -1, ["N"]  = -1, ["O"]  = -1,
			["P"]  =  0, ["Q"]  =  6, ["R"]  =  1, ["S"]  = -1, ["T"]  = -1, ["U"]  =  0, ["V"]  =  1, ["W"]  =  0,
			["X"]  =  0, ["Y"]  =  0, ["Z"]  = -1, ["["]  = -1, ["\\"] =  0, ["]"]  = -1, ["^"]  =  0, ["_"]  =  0,
			["`"]  = -4, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  =  0, ["g"]  = -1,
			["h"]  =  0, ["i"]  = -1, ["j"]  = -1, ["k"]  =  0, ["l"]  =  0, ["m"]  =  1, ["n"]  =  0, ["o"]  = -1,
			["p"]  = -1, ["q"]  =  5, ["r"]  =  0, ["s"]  = -1, ["t"]  = -1, ["u"]  =  0, ["v"]  =  0, ["w"]  =  0,
			["x"]  =  0, ["y"]  =  0, ["z"]  =  0, ["{"]  = -1, ["|"]  = -2, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro14] = {
		default = 7,
		width = {
			[" "]  =  5, ["!"]  =  4, ["\""] =  4, ["#"]  =  6, ["$"]  =  6, ["%"]  = 10, ["&"]  =  9, ["'"]  =  2,
			["("]  =  4, [")"]  =  4, ["*"]  =  4, ["+"]  =  6, [","]  =  3, ["-"]  =  4, ["."]  =  3, ["/"]  =  6,
			["0"]  =  6, ["1"]  =  6, ["2"]  =  6, ["3"]  =  6, ["4"]  =  6, ["5"]  =  6, ["6"]  =  6, ["7"]  =  6,
			["8"]  =  6, ["9"]  =  6, [":"]  =  3, [";"]  =  3, ["<"]  =  6, ["="]  =  6, [">"]  =  6, ["?"]  =  5,
			["@"]  = 10, ["A"]  =  8, ["B"]  =  8, ["C"]  =  9, ["D"]  = 10, ["E"]  =  7, ["F"]  =  7, ["G"]  =  9,
			["H"]  = 11, ["I"]  =  5, ["J"]  =  5, ["K"]  =  8, ["L"]  =  7, ["M"]  = 12, ["N"]  = 10, ["O"]  = 10,
			["P"]  =  7, ["Q"]  = 10, ["R"]  =  8, ["S"]  =  6, ["T"]  =  8, ["U"]  =  9, ["V"]  =  8, ["W"]  = 12,
			["X"]  =  8, ["Y"]  =  7, ["Z"]  =  8, ["["]  =  4, ["\\"] =  6, ["]"]  =  4, ["^"]  =  6, ["_"]  =  6,
			["`"]  = 10, ["a"]  =  7, ["b"]  =  7, ["c"]  =  8, ["d"]  =  9, ["e"]  =  6, ["f"]  =  6, ["g"]  =  8,
			["h"]  =  9, ["i"]  =  4, ["j"]  =  4, ["k"]  =  7, ["l"]  =  6, ["m"]  = 10, ["n"]  =  9, ["o"]  =  9,
			["p"]  =  6, ["q"]  =  9, ["r"]  =  7, ["s"]  =  6, ["t"]  =  7, ["u"]  =  8, ["v"]  =  7, ["w"]  = 11,
			["x"]  =  7, ["y"]  =  6, ["z"]  =  7, ["{"]  =  4, ["|"]  =  6, ["}"]  =  4, ["~"]  =  6
		},
		head = { ["A"] = 2, ["Y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  =  0, ["$"]  =  0, ["%"]  = -1, ["&"]  =  1, ["'"]  =  0,
			["("]  =  0, [")"]  = -1, ["*"]  =  0, ["+"]  = -1, [","]  = -1, ["-"]  =  0, ["."]  =  0, ["/"]  =  0,
			["0"]  =  0, ["1"]  =  0, ["2"]  =  0, ["3"]  =  0, ["4"]  =  1, ["5"]  =  0, ["6"]  =  0, ["7"]  =  1,
			["8"]  =  0, ["9"]  =  0, [":"]  =  0, [";"]  =  0, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  =  0,
			["@"]  =  0, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  =  0, ["E"]  = -1, ["F"]  = -1, ["G"]  =  0,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  2, ["L"]  =  0, ["M"]  =  1, ["N"]  =  0, ["O"]  = -1,
			["P"]  =  0, ["Q"]  =  7, ["R"]  =  2, ["S"]  =  0, ["T"]  = -1, ["U"]  =  0, ["V"]  =  1, ["W"]  =  1,
			["X"]  =  0, ["Y"]  =  1, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -1, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -4, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  =  0, ["f"]  =  0, ["g"]  =  0,
			["h"]  =  0, ["i"]  =  0, ["j"]  =  0, ["k"]  =  2, ["l"]  =  0, ["m"]  =  0, ["n"]  =  0, ["o"]  = -1,
			["p"]  =  0, ["q"]  =  6, ["r"]  =  2, ["s"]  = -1, ["t"]  = -1, ["u"]  =  0, ["v"]  =  1, ["w"]  =  0,
			["x"]  =  0, ["y"]  =  1, ["z"]  =  0, ["{"]  = -1, ["|"]  = -3, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro15] = {
		default = 7,
		width = {
			[" "]  =  5, ["!"]  =  4, ["\""] =  4, ["#"]  =  7, ["$"]  =  7, ["%"]  = 10, ["&"]  =  9, ["'"]  =  2,
			["("]  =  4, [")"]  =  4, ["*"]  =  4, ["+"]  =  6, [","]  =  3, ["-"]  =  5, ["."]  =  3, ["/"]  =  7,
			["0"]  =  7, ["1"]  =  7, ["2"]  =  7, ["3"]  =  7, ["4"]  =  7, ["5"]  =  7, ["6"]  =  7, ["7"]  =  7,
			["8"]  =  7, ["9"]  =  7, [":"]  =  3, [";"]  =  3, ["<"]  =  6, ["="]  =  6, [">"]  =  6, ["?"]  =  6,
			["@"]  = 11, ["A"]  =  8, ["B"]  =  8, ["C"]  = 10, ["D"]  = 11, ["E"]  =  7, ["F"]  =  7, ["G"]  = 10,
			["H"]  = 12, ["I"]  =  5, ["J"]  =  5, ["K"]  =  9, ["L"]  =  7, ["M"]  = 13, ["N"]  = 11, ["O"]  = 11,
			["P"]  =  8, ["Q"]  = 11, ["R"]  =  9, ["S"]  =  7, ["T"]  =  8, ["U"]  = 10, ["V"]  =  9, ["W"]  = 13,
			["X"]  =  8, ["Y"]  =  8, ["Z"]  =  8, ["["]  =  4, ["\\"] =  6, ["]"]  =  4, ["^"]  =  6, ["_"]  =  6,
			["`"]  = 11, ["a"]  =  7, ["b"]  =  7, ["c"]  =  8, ["d"]  = 10, ["e"]  =  7, ["f"]  =  6, ["g"]  =  9,
			["h"]  = 10, ["i"]  =  5, ["j"]  =  4, ["k"]  =  8, ["l"]  =  6, ["m"]  = 11, ["n"]  = 10, ["o"]  = 10,
			["p"]  =  7, ["q"]  = 10, ["r"]  =  8, ["s"]  =  6, ["t"]  =  7, ["u"]  =  9, ["v"]  =  8, ["w"]  = 12,
			["x"]  =  7, ["y"]  =  7, ["z"]  =  7, ["{"]  =  4, ["|"]  =  6, ["}"]  =  4, ["~"]  =  6
		},
		head = { ["V"] = 2, ["Y"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  = -1, ["$"]  = -1, ["%"]  =  0, ["&"]  =  1, ["'"]  =  0,
			["("]  =  0, [")"]  =  0, ["*"]  =  0, ["+"]  =  1, [","]  = -1, ["-"]  = -1, ["."]  =  0, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -1, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  =  0, [";"]  =  0, ["<"]  =  0, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  =  0, ["F"]  =  0, ["G"]  =  0,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  1, ["L"]  =  0, ["M"]  =  0, ["N"]  =  0, ["O"]  = -1,
			["P"]  = -1, ["Q"]  =  7, ["R"]  =  1, ["S"]  = -1, ["T"]  =  0, ["U"]  =  0, ["V"]  =  0, ["W"]  =  1,
			["X"]  =  1, ["Y"]  =  0, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -1, ["^"]  =  1, ["_"]  =  0,
			["`"]  = -5, ["a"]  =  2, ["b"]  =  0, ["c"]  =  0, ["d"]  = -1, ["e"]  = -1, ["f"]  =  0, ["g"]  =  0,
			["h"]  = -1, ["i"]  = -1, ["j"]  =  0, ["k"]  =  1, ["l"]  =  1, ["m"]  =  0, ["n"]  =  0, ["o"]  = -1,
			["p"]  = -1, ["q"]  =  6, ["r"]  =  1, ["s"]  = -1, ["t"]  =  0, ["u"]  =  0, ["v"]  =  1, ["w"]  =  0,
			["x"]  =  1, ["y"]  =  1, ["z"]  =  0, ["{"]  = -1, ["|"]  = -2, ["}"]  =  0, ["~"]  =  0
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro16] = {
		default = 8,
		width = {
			[" "]  =  5, ["!"]  =  4, ["\""] =  4, ["#"]  =  7, ["$"]  =  7, ["%"]  = 11, ["&"]  = 10, ["'"]  =  3,
			["("]  =  5, [")"]  =  5, ["*"]  =  5, ["+"]  =  7, [","]  =  3, ["-"]  =  5, ["."]  =  3, ["/"]  =  7,
			["0"]  =  7, ["1"]  =  7, ["2"]  =  7, ["3"]  =  7, ["4"]  =  7, ["5"]  =  7, ["6"]  =  7, ["7"]  =  7,
			["8"]  =  7, ["9"]  =  7, [":"]  =  3, [";"]  =  3, ["<"]  =  7, ["="]  =  7, [">"]  =  7, ["?"]  =  6,
			["@"]  = 12, ["A"]  =  9, ["B"]  =  9, ["C"]  = 10, ["D"]  = 12, ["E"]  =  8, ["F"]  =  8, ["G"]  = 11,
			["H"]  = 12, ["I"]  =  6, ["J"]  =  5, ["K"]  = 10, ["L"]  =  8, ["M"]  = 14, ["N"]  = 12, ["O"]  = 12,
			["P"]  =  8, ["Q"]  = 12, ["R"]  = 10, ["S"]  =  7, ["T"]  =  9, ["U"]  = 11, ["V"]  = 10, ["W"]  = 14,
			["X"]  =  9, ["Y"]  =  9, ["Z"]  =  9, ["["]  =  5, ["\\"] =  7, ["]"]  =  5, ["^"]  =  7, ["_"]  =  7,
			["`"]  = 12, ["a"]  =  8, ["b"]  =  8, ["c"]  =  9, ["d"]  = 11, ["e"]  =  7, ["f"]  =  7, ["g"]  = 10,
			["h"]  = 11, ["i"]  =  5, ["j"]  =  5, ["k"]  =  9, ["l"]  =  7, ["m"]  = 12, ["n"]  = 11, ["o"]  = 11,
			["p"]  =  8, ["q"]  = 11, ["r"]  =  9, ["s"]  =  7, ["t"]  =  8, ["u"]  = 10, ["v"]  =  8, ["w"]  = 13,
			["x"]  =  8, ["y"]  =  7, ["z"]  =  8, ["{"]  =  5, ["|"]  =  7, ["}"]  =  5, ["~"]  =  7
		},
		head = { ["4"] = 2, ["t"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  =  1, ["$"]  = -1, ["%"]  =  0, ["&"]  =  2, ["'"]  = -1,
			["("]  = -1, [")"]  = -1, ["*"]  = -1, ["+"]  =  0, [","]  = -1, ["-"]  = -1, ["."]  =  0, ["/"]  =  0,
			["0"]  =  0, ["1"]  = -1, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  =  0, ["7"]  =  0,
			["8"]  =  0, ["9"]  =  0, [":"]  =  0, [";"]  =  0, ["<"]  = -1, ["="]  =  0, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  = -1,
			["H"]  =  0, ["I"]  = -1, ["J"]  = -1, ["K"]  =  1, ["L"]  = -1, ["M"]  =  0, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  =  7, ["R"]  =  1, ["S"]  = -1, ["T"]  = -1, ["U"]  = -1, ["V"]  =  1, ["W"]  =  1,
			["X"]  =  0, ["Y"]  =  0, ["Z"]  =  0, ["["]  = -1, ["\\"] =  0, ["]"]  = -1, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -5, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  =  0, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  1, ["l"]  =  0, ["m"]  =  1, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  =  7, ["r"]  =  1, ["s"]  = -1, ["t"]  = -1, ["u"]  = -1, ["v"]  =  1, ["w"]  =  0,
			["x"]  =  0, ["y"]  =  1, ["z"]  =  0, ["{"]  =  0, ["|"]  = -3, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro18] = {
		default = 9,
		width = {
			[" "]  =  6, ["!"]  =  4, ["\""] =  5, ["#"]  =  8, ["$"]  =  8, ["%"]  = 12, ["&"]  = 11, ["'"]  =  3,
			["("]  =  5, [")"]  =  5, ["*"]  =  5, ["+"]  =  7, [","]  =  4, ["-"]  =  5, ["."]  =  4, ["/"]  =  8,
			["0"]  =  8, ["1"]  =  8, ["2"]  =  8, ["3"]  =  8, ["4"]  =  8, ["5"]  =  8, ["6"]  =  8, ["7"]  =  8,
			["8"]  =  8, ["9"]  =  8, [":"]  =  4, [";"]  =  4, ["<"]  =  7, ["="]  =  7, [">"]  =  7, ["?"]  =  7,
			["@"]  = 13, ["A"]  = 10, ["B"]  = 10, ["C"]  = 11, ["D"]  = 13, ["E"]  =  9, ["F"]  =  8, ["G"]  = 12,
			["H"]  = 13, ["I"]  =  6, ["J"]  =  6, ["K"]  = 11, ["L"]  =  8, ["M"]  = 15, ["N"]  = 13, ["O"]  = 13,
			["P"]  =  9, ["Q"]  = 13, ["R"]  = 11, ["S"]  =  8, ["T"]  = 10, ["U"]  = 12, ["V"]  = 10, ["W"]  = 15,
			["X"]  = 10, ["Y"]  =  9, ["Z"]  = 10, ["["]  =  5, ["\\"] =  7, ["]"]  =  5, ["^"]  =  7, ["_"]  =  7,
			["`"]  = 13, ["a"]  =  9, ["b"]  =  9, ["c"]  = 10, ["d"]  = 11, ["e"]  =  8, ["f"]  =  7, ["g"]  = 11,
			["h"]  = 12, ["i"]  =  5, ["j"]  =  5, ["k"]  =  9, ["l"]  =  7, ["m"]  = 13, ["n"]  = 12, ["o"]  = 11,
			["p"]  =  8, ["q"]  = 11, ["r"]  =  9, ["s"]  =  7, ["t"]  =  9, ["u"]  = 10, ["v"]  =  9, ["w"]  = 14,
			["x"]  =  9, ["y"]  =  8, ["z"]  =  9, ["{"]  =  5, ["|"]  =  7, ["}"]  =  5, ["~"]  =  7
		},
		head = { ["Q"] = 5, ["Y"] = 2, ["q"] = 5, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  =  0, ["\""] =  0, ["#"]  =  1, ["$"]  = -1, ["%"]  =  0, ["&"]  =  2, ["'"]  =  0,
			["("]  =  0, [")"]  = -1, ["*"]  =  0, ["+"]  =  0, [","]  = -1, ["-"]  =  0, ["."]  = -1, ["/"]  =  0,
			["0"]  =  0, ["1"]  = -1, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  =  0, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  =  0, ["I"]  =  0, ["J"]  =  0, ["K"]  =  2, ["L"]  =  1, ["M"]  =  1, ["N"]  =  0, ["O"]  = -1,
			["P"]  = -1, ["Q"]  =  9, ["R"]  =  1, ["S"]  = -1, ["T"]  = -1, ["U"]  = -1, ["V"]  =  2, ["W"]  =  2,
			["X"]  =  0, ["Y"]  =  1, ["Z"]  =  0, ["["]  = -1, ["\\"] =  0, ["]"]  = -1, ["^"]  =  1, ["_"]  =  1,
			["`"]  = -6, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  =  0, ["e"]  = -1, ["f"]  =  0, ["g"]  = -1,
			["h"]  =  0, ["i"]  =  0, ["j"]  = -1, ["k"]  =  2, ["l"]  =  1, ["m"]  =  0, ["n"]  = -1, ["o"]  =  0,
			["p"]  =  0, ["q"]  =  9, ["r"]  =  2, ["s"]  = -1, ["t"]  = -1, ["u"]  =  0, ["v"]  =  1, ["w"]  =  1,
			["x"]  =  0, ["y"]  =  1, ["z"]  =  0, ["{"]  =  0, ["|"]  = -3, ["}"]  =  0, ["~"]  =  0
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro20] = {
		default = 10,
		width = {
			[" "]  =  6, ["!"]  =  5, ["\""] =  5, ["#"]  =  9, ["$"]  =  9, ["%"]  = 14, ["&"]  = 12, ["'"]  =  3,
			["("]  =  6, [")"]  =  6, ["*"]  =  6, ["+"]  =  8, [","]  =  4, ["-"]  =  6, ["."]  =  4, ["/"]  =  9,
			["0"]  =  9, ["1"]  =  9, ["2"]  =  9, ["3"]  =  9, ["4"]  =  9, ["5"]  =  9, ["6"]  =  9, ["7"]  =  9,
			["8"]  =  9, ["9"]  =  9, [":"]  =  4, [";"]  =  4, ["<"]  =  8, ["="]  =  8, [">"]  =  8, ["?"]  =  8,
			["@"]  = 14, ["A"]  = 11, ["B"]  = 11, ["C"]  = 13, ["D"]  = 15, ["E"]  = 10, ["F"]  =  9, ["G"]  = 14,
			["H"]  = 15, ["I"]  =  7, ["J"]  =  7, ["K"]  = 12, ["L"]  =  9, ["M"]  = 17, ["N"]  = 15, ["O"]  = 15,
			["P"]  = 10, ["Q"]  = 15, ["R"]  = 12, ["S"]  =  9, ["T"]  = 11, ["U"]  = 13, ["V"]  = 12, ["W"]  = 18,
			["X"]  = 11, ["Y"]  = 10, ["Z"]  = 11, ["["]  =  6, ["\\"] =  8, ["]"]  =  6, ["^"]  =  8, ["_"]  =  8,
			["`"]  = 15, ["a"]  = 10, ["b"]  = 10, ["c"]  = 11, ["d"]  = 13, ["e"]  =  9, ["f"]  =  9, ["g"]  = 12,
			["h"]  = 14, ["i"]  =  6, ["j"]  =  6, ["k"]  = 11, ["l"]  =  9, ["m"]  = 15, ["n"]  = 13, ["o"]  = 13,
			["p"]  =  9, ["q"]  = 13, ["r"]  = 11, ["s"]  =  8, ["t"]  = 10, ["u"]  = 12, ["v"]  = 10, ["w"]  = 15,
			["x"]  = 10, ["y"]  =  9, ["z"]  = 10, ["{"]  =  6, ["|"]  =  8, ["}"]  =  6, ["~"]  =  8
		},
		head = { ["Q"] = 1, ["V"] = 2, ["Y"] = 2, ["q"] = 1, ["t"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] =  0, ["#"]  =  0, ["$"]  = -1, ["%"]  = -1, ["&"]  =  2, ["'"]  =  0,
			["("]  = -1, [")"]  = -1, ["*"]  =  0, ["+"]  =  0, [","]  = -1, ["-"]  =  0, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  = -1, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  =  0, ["A"]  =  2, ["B"]  = -1, ["C"]  = -1, ["D"]  = -2, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  2, ["L"]  =  0, ["M"]  =  0, ["N"]  =  0, ["O"]  = -1,
			["P"]  = -1, ["Q"]  =  9, ["R"]  =  1, ["S"]  = -1, ["T"]  = -1, ["U"]  =  0, ["V"]  =  0, ["W"]  =  0,
			["X"]  =  1, ["Y"]  =  1, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  =  1, ["_"]  =  0,
			["`"]  = -7, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  1, ["l"]  = -1, ["m"]  =  0, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  =  9, ["r"]  =  1, ["s"]  = -1, ["t"]  = -1, ["u"]  = -1, ["v"]  =  2, ["w"]  =  1,
			["x"]  =  0, ["y"]  =  1, ["z"]  =  0, ["{"]  = -1, ["|"]  = -3, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro21] = {
		default = 11,
		width = {
			[" "]  =  7, ["!"]  =  5, ["\""] =  6, ["#"]  = 10, ["$"]  = 10, ["%"]  = 15, ["&"]  = 13, ["'"]  =  3,
			["("]  =  6, [")"]  =  6, ["*"]  =  6, ["+"]  =  9, [","]  =  4, ["-"]  =  7, ["."]  =  4, ["/"]  =  9,
			["0"]  = 10, ["1"]  = 10, ["2"]  = 10, ["3"]  = 10, ["4"]  = 10, ["5"]  = 10, ["6"]  = 10, ["7"]  = 10,
			["8"]  = 10, ["9"]  = 10, [":"]  =  4, [";"]  =  4, ["<"]  =  9, ["="]  =  9, [">"]  =  9, ["?"]  =  8,
			["@"]  = 15, ["A"]  = 12, ["B"]  = 12, ["C"]  = 14, ["D"]  = 16, ["E"]  = 10, ["F"]  = 10, ["G"]  = 15,
			["H"]  = 16, ["I"]  =  7, ["J"]  =  7, ["K"]  = 13, ["L"]  = 10, ["M"]  = 18, ["N"]  = 16, ["O"]  = 16,
			["P"]  = 11, ["Q"]  = 16, ["R"]  = 13, ["S"]  = 10, ["T"]  = 12, ["U"]  = 14, ["V"]  = 13, ["W"]  = 19,
			["X"]  = 12, ["Y"]  = 11, ["Z"]  = 12, ["["]  =  6, ["\\"] =  9, ["]"]  =  6, ["^"]  =  9, ["_"]  =  9,
			["`"]  = 15, ["a"]  = 11, ["b"]  = 10, ["c"]  = 12, ["d"]  = 14, ["e"]  =  9, ["f"]  =  9, ["g"]  = 13,
			["h"]  = 14, ["i"]  =  7, ["j"]  =  6, ["k"]  = 11, ["l"]  =  9, ["m"]  = 16, ["n"]  = 14, ["o"]  = 14,
			["p"]  = 10, ["q"]  = 14, ["r"]  = 11, ["s"]  =  9, ["t"]  = 10, ["u"]  = 12, ["v"]  = 11, ["w"]  = 16,
			["x"]  = 10, ["y"]  = 10, ["z"]  = 10, ["{"]  =  6, ["|"]  =  9, ["}"]  =  6, ["~"]  =  9
		},
		head = { ["A"] = 2, ["Y"] = 2, ["a"] = 2, ["v"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  =  0, ["$"]  = -2, ["%"]  = -1, ["&"]  =  1, ["'"]  =  0,
			["("]  = -1, [")"]  = -1, ["*"]  =  0, ["+"]  = -1, [","]  = -1, ["-"]  =  0, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -2, ["4"]  = -1, ["5"]  = -2, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -2, [":"]  = -1, [";"]  = -1, ["<"]  = -1, ["="]  =  0, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  0, ["B"]  = -2, ["C"]  = -2, ["D"]  = -2, ["E"]  = -1, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  1, ["L"]  =  0, ["M"]  =  0, ["N"]  = -1, ["O"]  = -2,
			["P"]  = -1, ["Q"]  =  9, ["R"]  =  2, ["S"]  = -2, ["T"]  = -1, ["U"]  =  0, ["V"]  =  1, ["W"]  =  0,
			["X"]  =  0, ["Y"]  =  1, ["Z"]  = -1, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -6, ["a"]  =  0, ["b"]  = -1, ["c"]  = -1, ["d"]  = -2, ["e"]  = -1, ["f"]  = -1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  =  0, ["k"]  =  2, ["l"]  =  0, ["m"]  =  0, ["n"]  = -1, ["o"]  = -2,
			["p"]  = -1, ["q"]  =  8, ["r"]  =  2, ["s"]  = -2, ["t"]  =  0, ["u"]  =  0, ["v"]  =  0, ["w"]  =  1,
			["x"]  =  1, ["y"]  =  0, ["z"]  =  0, ["{"]  = -1, ["|"]  = -4, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro23] = {
		default = 11,
		width = {
			[" "]  =  7, ["!"]  =  6, ["\""] =  6, ["#"]  = 10, ["$"]  = 10, ["%"]  = 16, ["&"]  = 14, ["'"]  =  4,
			["("]  =  6, [")"]  =  6, ["*"]  =  6, ["+"]  =  9, [","]  =  5, ["-"]  =  7, ["."]  =  5, ["/"]  = 10,
			["0"]  = 10, ["1"]  = 10, ["2"]  = 10, ["3"]  = 10, ["4"]  = 10, ["5"]  = 10, ["6"]  = 10, ["7"]  = 10,
			["8"]  = 10, ["9"]  = 10, [":"]  =  5, [";"]  =  5, ["<"]  =  9, ["="]  =  9, [">"]  =  9, ["?"]  =  9,
			["@"]  = 16, ["A"]  = 13, ["B"]  = 12, ["C"]  = 14, ["D"]  = 17, ["E"]  = 11, ["F"]  = 11, ["G"]  = 16,
			["H"]  = 17, ["I"]  =  8, ["J"]  =  7, ["K"]  = 14, ["L"]  = 11, ["M"]  = 19, ["N"]  = 17, ["O"]  = 16,
			["P"]  = 12, ["Q"]  = 17, ["R"]  = 14, ["S"]  = 10, ["T"]  = 12, ["U"]  = 15, ["V"]  = 13, ["W"]  = 20,
			["X"]  = 12, ["Y"]  = 12, ["Z"]  = 12, ["["]  =  6, ["\\"] =  9, ["]"]  =  6, ["^"]  =  9, ["_"]  =  9,
			["`"]  = 16, ["a"]  = 11, ["b"]  = 11, ["c"]  = 13, ["d"]  = 15, ["e"]  = 10, ["f"]  = 10, ["g"]  = 14,
			["h"]  = 15, ["i"]  =  7, ["j"]  =  7, ["k"]  = 12, ["l"]  = 10, ["m"]  = 17, ["n"]  = 15, ["o"]  = 15,
			["p"]  = 11, ["q"]  = 15, ["r"]  = 12, ["s"]  =  9, ["t"]  = 11, ["u"]  = 13, ["v"]  = 12, ["w"]  = 17,
			["x"]  = 11, ["y"]  = 10, ["z"]  = 11, ["{"]  =  6, ["|"]  =  9, ["}"]  =  6, ["~"]  =  9
		},
		head = { ["4"] = 2, ["A"] = 2, ["Q"] = 1, ["V"] = 2, ["Y"] = 2, ["a"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  =  1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  2, ["'"]  = -1,
			["("]  =  0, [")"]  = -1, ["*"]  =  0, ["+"]  =  0, [","]  = -1, ["-"]  =  0, ["."]  = -2, ["/"]  =  1,
			["0"]  = -1, ["1"]  = -2, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  =  1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -2, [";"]  = -1, ["<"]  = -1, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  1, ["L"]  = -1, ["M"]  =  1, ["N"]  =  0, ["O"]  =  0,
			["P"]  = -2, ["Q"]  = 11, ["R"]  =  2, ["S"]  = -1, ["T"]  =  0, ["U"]  =  0, ["V"]  =  1, ["W"]  =  1,
			["X"]  =  1, ["Y"]  =  1, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  =  0, ["^"]  =  1, ["_"]  =  1,
			["`"]  = -7, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  =  0,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  2, ["l"]  =  0, ["m"]  =  0, ["n"]  =  0, ["o"]  = -1,
			["p"]  = -1, ["q"]  = 10, ["r"]  =  2, ["s"]  = -1, ["t"]  =  0, ["u"]  =  1, ["v"]  =  1, ["w"]  =  2,
			["x"]  =  1, ["y"]  =  2, ["z"]  =  0, ["{"]  =  0, ["|"]  = -4, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro24] = {
		default = 12,
		width = {
			[" "]  =  7, ["!"]  =  6, ["\""] =  6, ["#"]  = 11, ["$"]  = 11, ["%"]  = 17, ["&"]  = 15, ["'"]  =  4,
			["("]  =  7, [")"]  =  7, ["*"]  =  7, ["+"]  = 10, [","]  =  5, ["-"]  =  7, ["."]  =  5, ["/"]  = 10,
			["0"]  = 11, ["1"]  = 11, ["2"]  = 11, ["3"]  = 11, ["4"]  = 11, ["5"]  = 11, ["6"]  = 11, ["7"]  = 11,
			["8"]  = 11, ["9"]  = 11, [":"]  =  5, [";"]  =  5, ["<"]  = 10, ["="]  = 10, [">"]  = 10, ["?"]  =  9,
			["@"]  = 17, ["A"]  = 13, ["B"]  = 13, ["C"]  = 15, ["D"]  = 17, ["E"]  = 12, ["F"]  = 11, ["G"]  = 16,
			["H"]  = 18, ["I"]  =  8, ["J"]  =  8, ["K"]  = 14, ["L"]  = 11, ["M"]  = 20, ["N"]  = 18, ["O"]  = 17,
			["P"]  = 12, ["Q"]  = 17, ["R"]  = 14, ["S"]  = 11, ["T"]  = 13, ["U"]  = 16, ["V"]  = 14, ["W"]  = 21,
			["X"]  = 13, ["Y"]  = 12, ["Z"]  = 13, ["["]  =  7, ["\\"] = 10, ["]"]  =  7, ["^"]  = 10, ["_"]  = 10,
			["`"]  = 17, ["a"]  = 12, ["b"]  = 12, ["c"]  = 13, ["d"]  = 15, ["e"]  = 10, ["f"]  = 10, ["g"]  = 14,
			["h"]  = 16, ["i"]  =  7, ["j"]  =  7, ["k"]  = 13, ["l"]  = 10, ["m"]  = 18, ["n"]  = 16, ["o"]  = 15,
			["p"]  = 11, ["q"]  = 15, ["r"]  = 13, ["s"]  = 10, ["t"]  = 12, ["u"]  = 14, ["v"]  = 12, ["w"]  = 18,
			["x"]  = 12, ["y"]  = 11, ["z"]  = 12, ["{"]  =  7, ["|"]  = 10, ["}"]  =  7, ["~"]  = 10
		},
		head = { ["A"] = 2, ["Y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  = -1, ["$"]  = -2, ["%"]  = -1, ["&"]  =  2, ["'"]  = -1,
			["("]  = -1, [")"]  = -2, ["*"]  = -1, ["+"]  = -1, [","]  = -1, ["-"]  =  0, ["."]  = -2, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -1, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -2, [";"]  = -1, ["<"]  = -1, ["="]  =  0, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  =  0, ["D"]  = -1, ["E"]  = -2, ["F"]  = -1, ["G"]  =  0,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -2, ["K"]  =  2, ["L"]  =  0, ["M"]  =  0, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = 12, ["R"]  =  2, ["S"]  = -2, ["T"]  = -1, ["U"]  =  0, ["V"]  =  2, ["W"]  =  1,
			["X"]  =  1, ["Y"]  =  1, ["Z"]  = -1, ["["]  = -1, ["\\"] =  1, ["]"]  = -1, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -7, ["a"]  =  2, ["b"]  = -1, ["c"]  = -1, ["d"]  =  0, ["e"]  = -1, ["f"]  = -1, ["g"]  =  1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  1, ["l"]  =  0, ["m"]  =  0, ["n"]  =  0, ["o"]  =  0,
			["p"]  = -1, ["q"]  = 12, ["r"]  =  1, ["s"]  = -2, ["t"]  = -1, ["u"]  =  0, ["v"]  =  2, ["w"]  =  1,
			["x"]  =  0, ["y"]  =  2, ["z"]  = -1, ["{"]  = -1, ["|"]  = -5, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro25] = {
		default = 10,
		width = {
			[" "]  =  6, ["!"]  =  5, ["\""] =  5, ["#"]  =  9, ["$"]  =  9, ["%"]  = 14, ["&"]  = 12, ["'"]  =  3,
			["("]  =  6, [")"]  =  6, ["*"]  =  6, ["+"]  =  8, [","]  =  4, ["-"]  =  6, ["."]  =  4, ["/"]  =  9,
			["0"]  =  9, ["1"]  =  9, ["2"]  =  9, ["3"]  =  9, ["4"]  =  9, ["5"]  =  9, ["6"]  =  9, ["7"]  =  9,
			["8"]  =  9, ["9"]  =  9, [":"]  =  4, [";"]  =  4, ["<"]  =  8, ["="]  =  8, [">"]  =  8, ["?"]  =  8,
			["@"]  = 14, ["A"]  = 11, ["B"]  = 11, ["C"]  = 13, ["D"]  = 15, ["E"]  = 10, ["F"]  =  9, ["G"]  = 14,
			["H"]  = 15, ["I"]  =  7, ["J"]  =  7, ["K"]  = 12, ["L"]  =  9, ["M"]  = 17, ["N"]  = 15, ["O"]  = 15,
			["P"]  = 10, ["Q"]  = 15, ["R"]  = 12, ["S"]  =  9, ["T"]  = 11, ["U"]  = 13, ["V"]  = 12, ["W"]  = 18,
			["X"]  = 11, ["Y"]  = 10, ["Z"]  = 11, ["["]  =  6, ["\\"] =  8, ["]"]  =  6, ["^"]  =  8, ["_"]  =  8,
			["`"]  = 15, ["a"]  = 10, ["b"]  = 10, ["c"]  = 11, ["d"]  = 13, ["e"]  =  9, ["f"]  =  9, ["g"]  = 12,
			["h"]  = 14, ["i"]  =  6, ["j"]  =  6, ["k"]  = 11, ["l"]  =  9, ["m"]  = 15, ["n"]  = 13, ["o"]  = 13,
			["p"]  =  9, ["q"]  = 13, ["r"]  = 11, ["s"]  =  8, ["t"]  = 10, ["u"]  = 12, ["v"]  = 10, ["w"]  = 15,
			["x"]  = 10, ["y"]  =  9, ["z"]  = 10, ["{"]  =  6, ["|"]  =  8, ["}"]  =  6, ["~"]  =  8
		},
		head = { ["Q"] = 1, ["V"] = 2, ["Y"] = 2, ["q"] = 1, ["t"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] =  0, ["#"]  =  0, ["$"]  = -1, ["%"]  = -1, ["&"]  =  2, ["'"]  =  0,
			["("]  = -1, [")"]  = -1, ["*"]  =  0, ["+"]  =  0, [","]  = -1, ["-"]  =  0, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  = -1, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  =  0, ["A"]  =  2, ["B"]  = -1, ["C"]  = -1, ["D"]  = -2, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  2, ["L"]  =  0, ["M"]  =  0, ["N"]  =  0, ["O"]  = -1,
			["P"]  = -1, ["Q"]  =  9, ["R"]  =  1, ["S"]  = -1, ["T"]  = -1, ["U"]  =  0, ["V"]  =  0, ["W"]  =  0,
			["X"]  =  1, ["Y"]  =  1, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  =  1, ["_"]  =  0,
			["`"]  = -7, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  1, ["l"]  = -1, ["m"]  =  0, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  =  9, ["r"]  =  1, ["s"]  = -1, ["t"]  = -1, ["u"]  = -1, ["v"]  =  2, ["w"]  =  1,
			["x"]  =  0, ["y"]  =  1, ["z"]  =  0, ["{"]  = -1, ["|"]  = -3, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro26] = {
		default = 13,
		width = {
			[" "]  =  8, ["!"]  =  7, ["\""] =  7, ["#"]  = 12, ["$"]  = 12, ["%"]  = 18, ["&"]  = 16, ["'"]  =  4,
			["("]  =  8, [")"]  =  8, ["*"]  =  7, ["+"]  = 11, [","]  =  5, ["-"]  =  8, ["."]  =  5, ["/"]  = 12,
			["0"]  = 12, ["1"]  = 12, ["2"]  = 12, ["3"]  = 12, ["4"]  = 12, ["5"]  = 12, ["6"]  = 12, ["7"]  = 12,
			["8"]  = 12, ["9"]  = 12, [":"]  =  5, [";"]  =  5, ["<"]  = 11, ["="]  = 11, [">"]  = 11, ["?"]  = 10,
			["@"]  = 19, ["A"]  = 15, ["B"]  = 14, ["C"]  = 17, ["D"]  = 19, ["E"]  = 13, ["F"]  = 12, ["G"]  = 18,
			["H"]  = 20, ["I"]  =  9, ["J"]  =  9, ["K"]  = 16, ["L"]  = 12, ["M"]  = 22, ["N"]  = 20, ["O"]  = 19,
			["P"]  = 13, ["Q"]  = 19, ["R"]  = 16, ["S"]  = 12, ["T"]  = 15, ["U"]  = 17, ["V"]  = 16, ["W"]  = 23,
			["X"]  = 15, ["Y"]  = 14, ["Z"]  = 15, ["["]  =  8, ["\\"] = 11, ["]"]  =  8, ["^"]  = 11, ["_"]  = 11,
			["`"]  = 19, ["a"]  = 13, ["b"]  = 13, ["c"]  = 15, ["d"]  = 17, ["e"]  = 12, ["f"]  = 11, ["g"]  = 16,
			["h"]  = 18, ["i"]  =  8, ["j"]  =  8, ["k"]  = 14, ["l"]  = 11, ["m"]  = 19, ["n"]  = 17, ["o"]  = 17,
			["p"]  = 12, ["q"]  = 17, ["r"]  = 14, ["s"]  = 11, ["t"]  = 13, ["u"]  = 15, ["v"]  = 14, ["w"]  = 20,
			["x"]  = 13, ["y"]  = 12, ["z"]  = 13, ["{"]  =  8, ["|"]  = 11, ["}"]  =  8, ["~"]  = 11
		},
		head = { ["A"] = 2, ["V"] = 2, ["Y"] = 2, ["v"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -3, ["\""] = -1, ["#"]  = -1, ["$"]  = -2, ["%"]  = -1, ["&"]  =  3, ["'"]  = -1,
			["("]  = -2, [")"]  = -2, ["*"]  = -1, ["+"]  = -1, [","]  = -1, ["-"]  =  0, ["."]  =  0, ["/"]  = -1,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -2, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  =  0, [";"]  =  0, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  = -1,
			["@"]  = -2, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -2, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -2, ["I"]  = -1, ["J"]  = -1, ["K"]  =  2, ["L"]  =  0, ["M"]  =  0, ["N"]  = -2, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = 12, ["R"]  =  2, ["S"]  = -2, ["T"]  = -2, ["U"]  =  0, ["V"]  =  0, ["W"]  =  1,
			["X"]  =  0, ["Y"]  =  1, ["Z"]  = -1, ["["]  = -2, ["\\"] = -1, ["]"]  = -2, ["^"]  =  0, ["_"]  =  0,
			["`"]  = -8, ["a"]  =  2, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -2, ["f"]  = -1, ["g"]  =  0,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -2, ["k"]  =  1, ["l"]  =  0, ["m"]  =  1, ["n"]  =  0, ["o"]  = -1,
			["p"]  = -1, ["q"]  = 11, ["r"]  =  2, ["s"]  = -2, ["t"]  = -1, ["u"]  =  0, ["v"]  =  0, ["w"]  =  1,
			["x"]  =  0, ["y"]  =  1, ["z"]  = -1, ["{"]  = -2, ["|"]  = -5, ["}"]  = -2, ["~"]  = -2
		}
	},

	[Turbine.UI.Lotro.Font.TrajanPro28] = {
		default = 14,
		width = {
			[" "]  =  8, ["!"]  =  7, ["\""] =  7, ["#"]  = 13, ["$"]  = 13, ["%"]  = 19, ["&"]  = 17, ["'"]  =  4,
			["("]  =  8, [")"]  =  8, ["*"]  =  8, ["+"]  = 11, [","]  =  6, ["-"]  =  9, ["."]  =  6, ["/"]  = 12,
			["0"]  = 13, ["1"]  = 13, ["2"]  = 13, ["3"]  = 13, ["4"]  = 13, ["5"]  = 13, ["6"]  = 13, ["7"]  = 13,
			["8"]  = 13, ["9"]  = 13, [":"]  =  6, [";"]  =  6, ["<"]  = 11, ["="]  = 11, [">"]  = 11, ["?"]  = 11,
			["@"]  = 20, ["A"]  = 15, ["B"]  = 15, ["C"]  = 18, ["D"]  = 20, ["E"]  = 13, ["F"]  = 13, ["G"]  = 19,
			["H"]  = 21, ["I"]  = 10, ["J"]  =  9, ["K"]  = 17, ["L"]  = 13, ["M"]  = 23, ["N"]  = 21, ["O"]  = 20,
			["P"]  = 14, ["Q"]  = 20, ["R"]  = 17, ["S"]  = 13, ["T"]  = 15, ["U"]  = 18, ["V"]  = 16, ["W"]  = 24,
			["X"]  = 15, ["Y"]  = 14, ["Z"]  = 15, ["["]  =  8, ["\\"] = 12, ["]"]  =  8, ["^"]  = 11, ["_"]  = 11,
			["`"]  = 20, ["a"]  = 14, ["b"]  = 14, ["c"]  = 16, ["d"]  = 18, ["e"]  = 12, ["f"]  = 12, ["g"]  = 17,
			["h"]  = 19, ["i"]  =  9, ["j"]  =  8, ["k"]  = 15, ["l"]  = 12, ["m"]  = 20, ["n"]  = 18, ["o"]  = 18,
			["p"]  = 13, ["q"]  = 18, ["r"]  = 15, ["s"]  = 12, ["t"]  = 13, ["u"]  = 16, ["v"]  = 14, ["w"]  = 21,
			["x"]  = 13, ["y"]  = 13, ["z"]  = 13, ["{"]  =  8, ["|"]  = 11, ["}"]  =  8, ["~"]  = 11
		},
		head = { ["A"] = 2, ["V"] = 2, ["Y"] = 2, ["v"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  =  0, ["$"]  = -2, ["%"]  = -1, ["&"]  =  3, ["'"]  = -1,
			["("]  = -2, [")"]  = -1, ["*"]  =  0, ["+"]  =  0, [","]  = -2, ["-"]  = -1, ["."]  = -1, ["/"]  =  1,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -2, ["4"]  = -1, ["5"]  = -2, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  =  0, ["="]  =  0, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  =  0,
			["H"]  =  0, ["I"]  = -2, ["J"]  = -1, ["K"]  =  2, ["L"]  =  0, ["M"]  =  1, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = 14, ["R"]  =  2, ["S"]  = -2, ["T"]  =  0, ["U"]  =  0, ["V"]  =  1, ["W"]  =  2,
			["X"]  =  1, ["Y"]  =  1, ["Z"]  =  0, ["["]  = -1, ["\\"] = -1, ["]"]  = -2, ["^"]  =  0, ["_"]  =  1,
			["`"]  = -8, ["a"]  =  2, ["b"]  = -2, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  =  0,
			["h"]  = -1, ["i"]  = -2, ["j"]  = -2, ["k"]  =  1, ["l"]  = -1, ["m"]  =  1, ["n"]  =  0, ["o"]  = -1,
			["p"]  = -1, ["q"]  = 12, ["r"]  =  2, ["s"]  = -2, ["t"]  =  0, ["u"]  =  0, ["v"]  =  1, ["w"]  =  1,
			["x"]  =  1, ["y"]  =  2, ["z"]  =  1, ["{"]  = -1, ["|"]  = -5, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanProBold16] = {
		default = 8,
		width = {
			[" "]  =  5, ["!"]  =  4, ["\""] =  5, ["#"]  =  8, ["$"]  =  8, ["%"]  = 11, ["&"]  = 11, ["'"]  =  3,
			["("]  =  5, [")"]  =  5, ["*"]  =  5, ["+"]  =  7, [","]  =  3, ["-"]  =  6, ["."]  =  3, ["/"]  =  7,
			["0"]  =  8, ["1"]  =  8, ["2"]  =  8, ["3"]  =  8, ["4"]  =  8, ["5"]  =  8, ["6"]  =  8, ["7"]  =  8,
			["8"]  =  8, ["9"]  =  8, [":"]  =  3, [";"]  =  3, ["<"]  =  7, ["="]  =  7, [">"]  =  7, ["?"]  =  7,
			["@"]  = 12, ["A"]  =  9, ["B"]  =  9, ["C"]  = 10, ["D"]  = 12, ["E"]  =  8, ["F"]  =  8, ["G"]  = 12,
			["H"]  = 13, ["I"]  =  6, ["J"]  =  5, ["K"]  = 10, ["L"]  =  8, ["M"]  = 14, ["N"]  = 12, ["O"]  = 12,
			["P"]  =  9, ["Q"]  = 12, ["R"]  = 10, ["S"]  =  8, ["T"]  =  9, ["U"]  = 11, ["V"]  =  9, ["W"]  = 14,
			["X"]  =  9, ["Y"]  =  9, ["Z"]  =  9, ["["]  =  5, ["\\"] =  7, ["]"]  =  5, ["^"]  =  7, ["_"]  =  7,
			["`"]  = 12, ["a"]  =  8, ["b"]  =  8, ["c"]  =  9, ["d"]  = 11, ["e"]  =  7, ["f"]  =  7, ["g"]  = 10,
			["h"]  = 11, ["i"]  =  5, ["j"]  =  5, ["k"]  =  9, ["l"]  =  7, ["m"]  = 12, ["n"]  = 11, ["o"]  = 11,
			["p"]  =  8, ["q"]  = 11, ["r"]  =  9, ["s"]  =  7, ["t"]  =  8, ["u"]  = 10, ["v"]  =  8, ["w"]  = 12,
			["x"]  =  8, ["y"]  =  8, ["z"]  =  8, ["{"]  =  5, ["|"]  =  7, ["}"]  =  5, ["~"]  =  7
		},
		head = { ["A"] = 2, ["V"] = 2, ["Y"] = 2, ["a"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  =  0, ["\""] =  0, ["#"]  =  0, ["$"]  = -1, ["%"]  =  0, ["&"]  =  1, ["'"]  =  1,
			["("]  =  0, [")"]  =  0, ["*"]  =  0, ["+"]  =  1, [","]  =  0, ["-"]  =  1, ["."]  =  1, ["/"]  =  1,
			["0"]  =  0, ["1"]  = -1, ["2"]  =  0, ["3"]  =  0, ["4"]  =  1, ["5"]  = -1, ["6"]  =  0, ["7"]  =  1,
			["8"]  =  0, ["9"]  =  0, [":"]  =  1, [";"]  =  1, ["<"]  =  0, ["="]  =  0, [">"]  =  0, ["?"]  =  0,
			["@"]  =  0, ["A"]  =  2, ["B"]  =  0, ["C"]  =  0, ["D"]  =  0, ["E"]  =  1, ["F"]  =  0, ["G"]  = -1,
			["H"]  =  0, ["I"]  =  0, ["J"]  =  1, ["K"]  =  2, ["L"]  =  1, ["M"]  =  0, ["N"]  =  1, ["O"]  =  0,
			["P"]  = -1, ["Q"]  =  8, ["R"]  =  2, ["S"]  = -1, ["T"]  =  1, ["U"]  =  0, ["V"]  =  2, ["W"]  =  2,
			["X"]  =  2, ["Y"]  =  1, ["Z"]  =  1, ["["]  =  0, ["\\"] =  1, ["]"]  = -1, ["^"]  =  0, ["_"]  =  1,
			["`"]  = -4, ["a"]  =  2, ["b"]  =  0, ["c"]  =  0, ["d"]  =  0, ["e"]  =  1, ["f"]  =  1, ["g"]  =  0,
			["h"]  =  1, ["i"]  =  1, ["j"]  =  1, ["k"]  =  2, ["l"]  =  1, ["m"]  =  1, ["n"]  =  0, ["o"]  = -1,
			["p"]  =  0, ["q"]  =  8, ["r"]  =  2, ["s"]  =  0, ["t"]  =  1, ["u"]  =  0, ["v"]  =  3, ["w"]  =  2,
			["x"]  =  2, ["y"]  =  1, ["z"]  =  0, ["{"]  =  1, ["|"]  = -2, ["}"]  =  1, ["~"]  =  1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanProBold22] = {
		default = 11,
		width = {
			[" "]  =  6, ["!"]  =  5, ["\""] =  6, ["#"]  = 10, ["$"]  = 10, ["%"]  = 15, ["&"]  = 14, ["'"]  =  4,
			["("]  =  6, [")"]  =  6, ["*"]  =  6, ["+"]  =  9, [","]  =  4, ["-"]  =  7, ["."]  =  4, ["/"]  =  9,
			["0"]  = 10, ["1"]  = 10, ["2"]  = 10, ["3"]  = 10, ["4"]  = 10, ["5"]  = 10, ["6"]  = 10, ["7"]  = 10,
			["8"]  = 10, ["9"]  = 10, [":"]  =  4, [";"]  =  4, ["<"]  =  9, ["="]  =  9, [">"]  =  9, ["?"]  =  9,
			["@"]  = 15, ["A"]  = 12, ["B"]  = 12, ["C"]  = 14, ["D"]  = 16, ["E"]  = 11, ["F"]  = 11, ["G"]  = 15,
			["H"]  = 17, ["I"]  =  8, ["J"]  =  7, ["K"]  = 13, ["L"]  = 10, ["M"]  = 18, ["N"]  = 16, ["O"]  = 16,
			["P"]  = 11, ["Q"]  = 16, ["R"]  = 13, ["S"]  = 10, ["T"]  = 12, ["U"]  = 14, ["V"]  = 12, ["W"]  = 18,
			["X"]  = 12, ["Y"]  = 11, ["Z"]  = 12, ["["]  =  6, ["\\"] =  9, ["]"]  =  6, ["^"]  =  9, ["_"]  =  9,
			["`"]  = 16, ["a"]  = 11, ["b"]  = 11, ["c"]  = 12, ["d"]  = 14, ["e"]  = 10, ["f"]  = 10, ["g"]  = 13,
			["h"]  = 15, ["i"]  =  7, ["j"]  =  6, ["k"]  = 12, ["l"]  =  9, ["m"]  = 16, ["n"]  = 14, ["o"]  = 14,
			["p"]  = 10, ["q"]  = 14, ["r"]  = 12, ["s"]  =  9, ["t"]  = 11, ["u"]  = 13, ["v"]  = 11, ["w"]  = 16,
			["x"]  = 11, ["y"]  = 10, ["z"]  = 11, ["{"]  =  6, ["|"]  =  9, ["}"]  =  6, ["~"]  =  9
		},
		head = { ["A"] = 2, ["Q"] = 2, ["V"] = 2, ["Y"] = 2, ["a"] = 2, ["q"] = 1, ["v"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  =  0, ["\""] = -1, ["#"]  =  1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  2, ["'"]  = -1,
			["("]  =  0, [")"]  = -1, ["*"]  =  0, ["+"]  =  0, [","]  =  0, ["-"]  =  1, ["."]  = -1, ["/"]  =  0,
			["0"]  =  0, ["1"]  = -2, ["2"]  =  0, ["3"]  = -1, ["4"]  =  1, ["5"]  = -1, ["6"]  =  0, ["7"]  =  0,
			["8"]  =  0, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  =  1, ["="]  =  1, [">"]  =  1, ["?"]  = -1,
			["@"]  =  0, ["A"]  =  2, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  =  0,
			["H"]  = -1, ["I"]  = -1, ["J"]  =  0, ["K"]  =  2, ["L"]  =  1, ["M"]  =  0, ["N"]  =  0, ["O"]  = -1,
			["P"]  =  0, ["Q"]  = 10, ["R"]  =  2, ["S"]  = -1, ["T"]  =  0, ["U"]  =  1, ["V"]  =  2, ["W"]  =  2,
			["X"]  =  2, ["Y"]  =  2, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -1, ["^"]  =  0, ["_"]  =  0,
			["`"]  = -7, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  =  1,
			["h"]  =  0, ["i"]  =  0, ["j"]  =  1, ["k"]  =  1, ["l"]  =  1, ["m"]  =  0, ["n"]  =  0, ["o"]  = -1,
			["p"]  =  0, ["q"]  =  9, ["r"]  =  2, ["s"]  = -1, ["t"]  = -1, ["u"]  =  0, ["v"]  =  1, ["w"]  =  2,
			["x"]  =  1, ["y"]  =  1, ["z"]  =  0, ["{"]  =  0, ["|"]  = -4, ["}"]  = -1, ["~"]  =  0
		}
	},

	[Turbine.UI.Lotro.Font.TrajanProBold24] = {
		default = 12,
		width = {
			[" "]  =  7, ["!"]  =  6, ["\""] =  7, ["#"]  = 11, ["$"]  = 11, ["%"]  = 16, ["&"]  = 16, ["'"]  =  4,
			["("]  =  7, [")"]  =  7, ["*"]  =  7, ["+"]  = 10, [","]  =  5, ["-"]  =  8, ["."]  =  5, ["/"]  = 10,
			["0"]  = 11, ["1"]  = 11, ["2"]  = 11, ["3"]  = 11, ["4"]  = 11, ["5"]  = 11, ["6"]  = 11, ["7"]  = 11,
			["8"]  = 11, ["9"]  = 11, [":"]  =  5, [";"]  =  5, ["<"]  = 10, ["="]  = 10, [">"]  = 10, ["?"]  = 10,
			["@"]  = 17, ["A"]  = 13, ["B"]  = 13, ["C"]  = 15, ["D"]  = 18, ["E"]  = 12, ["F"]  = 12, ["G"]  = 17,
			["H"]  = 18, ["I"]  =  9, ["J"]  =  8, ["K"]  = 15, ["L"]  = 11, ["M"]  = 20, ["N"]  = 18, ["O"]  = 18,
			["P"]  = 12, ["Q"]  = 18, ["R"]  = 14, ["S"]  = 11, ["T"]  = 13, ["U"]  = 16, ["V"]  = 14, ["W"]  = 21,
			["X"]  = 14, ["Y"]  = 13, ["Z"]  = 13, ["["]  =  7, ["\\"] = 10, ["]"]  =  7, ["^"]  = 10, ["_"]  = 10,
			["`"]  = 18, ["a"]  = 12, ["b"]  = 12, ["c"]  = 13, ["d"]  = 16, ["e"]  = 11, ["f"]  = 11, ["g"]  = 15,
			["h"]  = 16, ["i"]  =  8, ["j"]  =  7, ["k"]  = 13, ["l"]  = 10, ["m"]  = 18, ["n"]  = 16, ["o"]  = 16,
			["p"]  = 11, ["q"]  = 16, ["r"]  = 13, ["s"]  = 10, ["t"]  = 12, ["u"]  = 14, ["v"]  = 12, ["w"]  = 18,
			["x"]  = 12, ["y"]  = 11, ["z"]  = 12, ["{"]  =  7, ["|"]  = 10, ["}"]  =  7, ["~"]  = 10
		},
		head = { ["A"] = 2, ["V"] = 2, ["Y"] = 3, ["a"] = 2, ["v"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  =  1, ["$"]  = -1, ["%"]  =  0, ["&"]  =  1, ["'"]  = -1,
			["("]  = -1, [")"]  = -1, ["*"]  = -1, ["+"]  =  0, [","]  = -1, ["-"]  =  0, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -1, ["2"]  =  0, ["3"]  = -1, ["4"]  =  1, ["5"]  = -1, ["6"]  =  0, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  =  0, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  2, ["B"]  = -1, ["C"]  =  0, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  2, ["L"]  =  0, ["M"]  =  0, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = 11, ["R"]  =  3, ["S"]  = -1, ["T"]  =  0, ["U"]  =  0, ["V"]  =  1, ["W"]  =  1,
			["X"]  =  1, ["Y"]  =  0, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  =  0, ["_"]  =  0,
			["`"]  = -8, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  = -1, ["g"]  =  0,
			["h"]  =  0, ["i"]  = -1, ["j"]  =  0, ["k"]  =  2, ["l"]  =  1, ["m"]  =  0, ["n"]  = -1, ["o"]  = -2,
			["p"]  = -1, ["q"]  =  9, ["r"]  =  2, ["s"]  = -1, ["t"]  = -1, ["u"]  =  1, ["v"]  =  1, ["w"]  =  1,
			["x"]  =  1, ["y"]  =  2, ["z"]  = -1, ["{"]  = -1, ["|"]  = -5, ["}"]  = -1, ["~"]  =  0
		}
	},

	[Turbine.UI.Lotro.Font.TrajanProBold25] = {
		default = 13,
		width = {
			[" "]  =  7, ["!"]  =  6, ["\""] =  7, ["#"]  = 12, ["$"]  = 12, ["%"]  = 17, ["&"]  = 17, ["'"]  =  4,
			["("]  =  7, [")"]  =  7, ["*"]  =  8, ["+"]  = 11, [","]  =  5, ["-"]  =  9, ["."]  =  5, ["/"]  = 11,
			["0"]  = 12, ["1"]  = 12, ["2"]  = 12, ["3"]  = 12, ["4"]  = 12, ["5"]  = 12, ["6"]  = 12, ["7"]  = 12,
			["8"]  = 12, ["9"]  = 12, [":"]  =  5, [";"]  =  5, ["<"]  = 11, ["="]  = 11, [">"]  = 11, ["?"]  = 11,
			["@"]  = 18, ["A"]  = 14, ["B"]  = 14, ["C"]  = 16, ["D"]  = 19, ["E"]  = 13, ["F"]  = 12, ["G"]  = 18,
			["H"]  = 19, ["I"]  =  9, ["J"]  =  8, ["K"]  = 15, ["L"]  = 12, ["M"]  = 21, ["N"]  = 19, ["O"]  = 19,
			["P"]  = 13, ["Q"]  = 19, ["R"]  = 15, ["S"]  = 12, ["T"]  = 14, ["U"]  = 17, ["V"]  = 14, ["W"]  = 22,
			["X"]  = 14, ["Y"]  = 13, ["Z"]  = 14, ["["]  =  7, ["\\"] = 11, ["]"]  =  7, ["^"]  = 11, ["_"]  = 10,
			["`"]  = 19, ["a"]  = 13, ["b"]  = 13, ["c"]  = 14, ["d"]  = 17, ["e"]  = 12, ["f"]  = 11, ["g"]  = 16,
			["h"]  = 17, ["i"]  =  8, ["j"]  =  7, ["k"]  = 14, ["l"]  = 11, ["m"]  = 18, ["n"]  = 17, ["o"]  = 17,
			["p"]  = 12, ["q"]  = 17, ["r"]  = 14, ["s"]  = 11, ["t"]  = 13, ["u"]  = 15, ["v"]  = 13, ["w"]  = 19,
			["x"]  = 13, ["y"]  = 12, ["z"]  = 13, ["{"]  =  7, ["|"]  = 10, ["}"]  =  7, ["~"]  = 11
		},
		head = { ["A"] = 2, ["T"] = 2, ["V"] = 2, ["X"] = 2, ["Y"] = 2, ["a"] = 2, ["v"] = 2, ["y"] = 3 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  =  0, ["$"]  = -1, ["%"]  =  0, ["&"]  =  3, ["'"]  = -1,
			["("]  = -1, [")"]  = -1, ["*"]  = -1, ["+"]  = -1, [","]  = -1, ["-"]  =  0, ["."]  =  0, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  =  0, ["3"]  = -1, ["4"]  =  0, ["5"]  = -2, ["6"]  = -1, ["7"]  =  1,
			["8"]  = -1, ["9"]  = -1, [":"]  =  0, [";"]  =  0, ["<"]  =  0, ["="]  =  0, [">"]  =  0, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  2, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  =  0,
			["H"]  =  0, ["I"]  =  0, ["J"]  =  1, ["K"]  =  4, ["L"]  =  1, ["M"]  =  1, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = 12, ["R"]  =  2, ["S"]  = -2, ["T"]  =  0, ["U"]  =  0, ["V"]  =  3, ["W"]  =  2,
			["X"]  =  1, ["Y"]  =  2, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  =  0, ["_"]  =  1,
			["`"]  = -8, ["a"]  =  1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  =  0, ["g"]  =  0,
			["h"]  =  0, ["i"]  =  0, ["j"]  =  0, ["k"]  =  2, ["l"]  =  1, ["m"]  =  1, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = 11, ["r"]  =  1, ["s"]  = -1, ["t"]  = -1, ["u"]  =  1, ["v"]  =  1, ["w"]  =  2,
			["x"]  =  1, ["y"]  =  1, ["z"]  = -1, ["{"]  = -1, ["|"]  = -4, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanProBold30] = {
		default = 15,
		width = {
			[" "]  =  8, ["!"]  =  8, ["\""] =  9, ["#"]  = 14, ["$"]  = 14, ["%"]  = 21, ["&"]  = 20, ["'"]  =  5,
			["("]  =  9, [")"]  =  9, ["*"]  =  9, ["+"]  = 13, [","]  =  6, ["-"]  = 10, ["."]  =  6, ["/"]  = 13,
			["0"]  = 14, ["1"]  = 14, ["2"]  = 14, ["3"]  = 14, ["4"]  = 14, ["5"]  = 14, ["6"]  = 14, ["7"]  = 14,
			["8"]  = 14, ["9"]  = 14, [":"]  =  6, [";"]  =  6, ["<"]  = 13, ["="]  = 13, [">"]  = 13, ["?"]  = 13,
			["@"]  = 22, ["A"]  = 17, ["B"]  = 17, ["C"]  = 19, ["D"]  = 22, ["E"]  = 15, ["F"]  = 15, ["G"]  = 21,
			["H"]  = 23, ["I"]  = 11, ["J"]  = 10, ["K"]  = 18, ["L"]  = 15, ["M"]  = 25, ["N"]  = 23, ["O"]  = 22,
			["P"]  = 16, ["Q"]  = 22, ["R"]  = 18, ["S"]  = 14, ["T"]  = 17, ["U"]  = 20, ["V"]  = 17, ["W"]  = 26,
			["X"]  = 17, ["Y"]  = 16, ["Z"]  = 17, ["["]  =  9, ["\\"] = 13, ["]"]  =  9, ["^"]  = 13, ["_"]  = 12,
			["`"]  = 22, ["a"]  = 15, ["b"]  = 15, ["c"]  = 17, ["d"]  = 20, ["e"]  = 14, ["f"]  = 14, ["g"]  = 19,
			["h"]  = 21, ["i"]  = 10, ["j"]  =  9, ["k"]  = 16, ["l"]  = 13, ["m"]  = 22, ["n"]  = 20, ["o"]  = 20,
			["p"]  = 14, ["q"]  = 20, ["r"]  = 16, ["s"]  = 13, ["t"]  = 15, ["u"]  = 18, ["v"]  = 15, ["w"]  = 23,
			["x"]  = 15, ["y"]  = 14, ["z"]  = 15, ["{"]  =  9, ["|"]  = 12, ["}"]  =  9, ["~"]  = 13
		},
		head = { ["A"] = 2, ["V"] = 2, ["W"] = 2, ["X"] = 2, ["Y"] = 2, ["a"] = 2, ["v"] = 2, ["w"] = 2, ["y"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -3, ["\""] = -2, ["#"]  =  0, ["$"]  = -2, ["%"]  = -1, ["&"]  =  2, ["'"]  =  0,
			["("]  = -2, [")"]  = -2, ["*"]  = -1, ["+"]  = -1, [","]  = -2, ["-"]  =  0, ["."]  = -2, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -2, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -2, [";"]  = -2, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  = -2,
			["@"]  = -2, ["A"]  =  2, ["B"]  = -2, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -2, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  3, ["L"]  =  0, ["M"]  =  1, ["N"]  = -1, ["O"]  = -2,
			["P"]  = -1, ["Q"]  = 14, ["R"]  =  3, ["S"]  = -2, ["T"]  =  0, ["U"]  = -1, ["V"]  =  2, ["W"]  =  0,
			["X"]  =  0, ["Y"]  =  2, ["Z"]  =  0, ["["]  = -1, ["\\"] =  0, ["]"]  = -3, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -9, ["a"]  =  2, ["b"]  = -1, ["c"]  = -1, ["d"]  = -2, ["e"]  = -2, ["f"]  = -2, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -2, ["j"]  = -1, ["k"]  =  2, ["l"]  =  0, ["m"]  =  0, ["n"]  = -2, ["o"]  = -2,
			["p"]  = -1, ["q"]  = 12, ["r"]  =  2, ["s"]  = -2, ["t"]  = -1, ["u"]  =  0, ["v"]  =  2, ["w"]  =  0,
			["x"]  =  1, ["y"]  =  2, ["z"]  = -1, ["{"]  = -1, ["|"]  = -6, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.TrajanProBold36] = {
		default = 18,
		width = {
			[" "]  =  9, ["!"]  =  9, ["\""] = 10, ["#"]  = 17, ["$"]  = 17, ["%"]  = 24, ["&"]  = 23, ["'"]  =  6,
			["("]  = 10, [")"]  = 10, ["*"]  = 11, ["+"]  = 15, [","]  =  7, ["-"]  = 12, ["."]  =  7, ["/"]  = 15,
			["0"]  = 17, ["1"]  = 17, ["2"]  = 17, ["3"]  = 17, ["4"]  = 17, ["5"]  = 17, ["6"]  = 17, ["7"]  = 17,
			["8"]  = 17, ["9"]  = 17, [":"]  =  7, [";"]  =  7, ["<"]  = 15, ["="]  = 15, [">"]  = 15, ["?"]  = 15,
			["@"]  = 25, ["A"]  = 20, ["B"]  = 20, ["C"]  = 22, ["D"]  = 26, ["E"]  = 18, ["F"]  = 17, ["G"]  = 25,
			["H"]  = 27, ["I"]  = 13, ["J"]  = 12, ["K"]  = 22, ["L"]  = 17, ["M"]  = 29, ["N"]  = 27, ["O"]  = 26,
			["P"]  = 18, ["Q"]  = 26, ["R"]  = 21, ["S"]  = 16, ["T"]  = 20, ["U"]  = 24, ["V"]  = 20, ["W"]  = 30,
			["X"]  = 20, ["Y"]  = 19, ["Z"]  = 20, ["["]  = 10, ["\\"] = 15, ["]"]  = 10, ["^"]  = 15, ["_"]  = 14,
			["`"]  = 26, ["a"]  = 18, ["b"]  = 18, ["c"]  = 20, ["d"]  = 23, ["e"]  = 16, ["f"]  = 16, ["g"]  = 22,
			["h"]  = 24, ["i"]  = 11, ["j"]  = 10, ["k"]  = 19, ["l"]  = 15, ["m"]  = 26, ["n"]  = 24, ["o"]  = 23,
			["p"]  = 17, ["q"]  = 23, ["r"]  = 19, ["s"]  = 15, ["t"]  = 18, ["u"]  = 21, ["v"]  = 18, ["w"]  = 27,
			["x"]  = 18, ["y"]  = 17, ["z"]  = 18, ["{"]  = 10, ["|"]  = 14, ["}"]  = 10, ["~"]  = 15
		},
		head = { ["A"] = 3, ["V"] = 3, ["X"] = 2, ["Y"] = 2, ["a"] = 3, ["v"] = 2, ["y"] = 3 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  =  0, ["$"]  = -2, ["%"]  = -1, ["&"]  =  4, ["'"]  = -1,
			["("]  = -2, [")"]  = -1, ["*"]  = -1, ["+"]  =  0, [","]  = -1, ["-"]  = -1, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -3, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -2, ["6"]  = -1, ["7"]  =  0,
			["8"]  = -1, ["9"]  = -1, [":"]  = -1, [";"]  = -1, ["<"]  =  0, ["="]  =  0, [">"]  =  0, ["?"]  = -2,
			["@"]  = -1, ["A"]  =  2, ["B"]  = -2, ["C"]  =  0, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  =  0,
			["H"]  = -1, ["I"]  = -2, ["J"]  = -2, ["K"]  =  3, ["L"]  =  0, ["M"]  =  2, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = 17, ["R"]  =  3, ["S"]  = -2, ["T"]  =  0, ["U"]  =  0, ["V"]  =  2, ["W"]  =  3,
			["X"]  =  1, ["Y"]  =  2, ["Z"]  =  0, ["["]  =  0, ["\\"] =  0, ["]"]  = -2, ["^"]  = -1, ["_"]  =  1,
			["`"]  =-11, ["a"]  =  1, ["b"]  = -2, ["c"]  =  0, ["d"]  = -1, ["e"]  =  0, ["f"]  = -1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  =  0, ["k"]  =  3, ["l"]  =  1, ["m"]  =  0, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = 16, ["r"]  =  3, ["s"]  = -1, ["t"]  =  0, ["u"]  = -1, ["v"]  =  2, ["w"]  =  2,
			["x"]  =  2, ["y"]  =  1, ["z"]  = -1, ["{"]  = -1, ["|"]  = -6, ["}"]  = -1, ["~"]  =  0
		}
	},

	[Turbine.UI.Lotro.Font.Verdana10] = {
		default = 5,
		width = {
			[" "]  =  4, ["!"]  =  3, ["\""] =  4, ["#"]  =  7, ["$"]  =  5, ["%"]  =  9, ["&"]  =  6, ["'"]  =  2,
			["("]  =  4, [")"]  =  4, ["*"]  =  5, ["+"]  =  7, [","]  =  3, ["-"]  =  4, ["."]  =  3, ["/"]  =  4,
			["0"]  =  5, ["1"]  =  5, ["2"]  =  5, ["3"]  =  5, ["4"]  =  5, ["5"]  =  5, ["6"]  =  5, ["7"]  =  5,
			["8"]  =  5, ["9"]  =  5, [":"]  =  4, [";"]  =  4, ["<"]  =  7, ["="]  =  7, [">"]  =  7, ["?"]  =  4,
			["@"]  =  8, ["A"]  =  5, ["B"]  =  5, ["C"]  =  6, ["D"]  =  6, ["E"]  =  5, ["F"]  =  5, ["G"]  =  6,
			["H"]  =  6, ["I"]  =  3, ["J"]  =  4, ["K"]  =  6, ["L"]  =  4, ["M"]  =  7, ["N"]  =  6, ["O"]  =  6,
			["P"]  =  5, ["Q"]  =  6, ["R"]  =  6, ["S"]  =  5, ["T"]  =  5, ["U"]  =  6, ["V"]  =  5, ["W"]  =  8,
			["X"]  =  5, ["Y"]  =  5, ["Z"]  =  5, ["["]  =  4, ["\\"] =  4, ["]"]  =  4, ["^"]  =  7, ["_"]  =  5,
			["`"]  =  5, ["a"]  =  5, ["b"]  =  5, ["c"]  =  4, ["d"]  =  5, ["e"]  =  5, ["f"]  =  3, ["g"]  =  5,
			["h"]  =  5, ["i"]  =  2, ["j"]  =  3, ["k"]  =  5, ["l"]  =  2, ["m"]  =  8, ["n"]  =  5, ["o"]  =  5,
			["p"]  =  5, ["q"]  =  5, ["r"]  =  3, ["s"]  =  4, ["t"]  =  3, ["u"]  =  5, ["v"]  =  5, ["w"]  =  7,
			["x"]  =  5, ["y"]  =  5, ["z"]  =  4, ["{"]  =  5, ["|"]  =  4, ["}"]  =  5, ["~"]  =  7
		},
		head = { ["/"] = 2, ["j"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -1, ["\""] = -1, ["#"]  = -1, ["$"]  =  0, ["%"]  = -1, ["&"]  =  1, ["'"]  =  0,
			["("]  =  0, [")"]  = -1, ["*"]  =  0, ["+"]  = -1, [","]  =  0, ["-"]  = -1, ["."]  = -1, ["/"]  =  0,
			["0"]  =  0, ["1"]  =  0, ["2"]  =  0, ["3"]  =  0, ["4"]  =  0, ["5"]  =  0, ["6"]  =  0, ["7"]  =  0,
			["8"]  =  0, ["9"]  =  0, [":"]  = -1, [";"]  = -1, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  =  0,
			["@"]  =  0, ["A"]  =  1, ["B"]  =  1, ["C"]  =  0, ["D"]  =  0, ["E"]  =  0, ["F"]  =  0, ["G"]  =  0,
			["H"]  =  0, ["I"]  =  0, ["J"]  = -1, ["K"]  =  0, ["L"]  =  1, ["M"]  = -1, ["N"]  =  0, ["O"]  =  0,
			["P"]  =  0, ["Q"]  =  0, ["R"]  =  0, ["S"]  =  0, ["T"]  =  0, ["U"]  =  0, ["V"]  =  1, ["W"]  =  0,
			["X"]  =  1, ["Y"]  =  0, ["Z"]  =  0, ["["]  = -1, ["\\"] =  0, ["]"]  = -1, ["^"]  = -1, ["_"]  =  1,
			["`"]  = -2, ["a"]  =  0, ["b"]  =  0, ["c"]  =  0, ["d"]  =  0, ["e"]  =  0, ["f"]  =  1, ["g"]  =  0,
			["h"]  =  0, ["i"]  =  0, ["j"]  =  0, ["k"]  =  0, ["l"]  =  0, ["m"]  =  0, ["n"]  =  0, ["o"]  =  0,
			["p"]  =  0, ["q"]  =  0, ["r"]  =  1, ["s"]  =  0, ["t"]  =  0, ["u"]  =  0, ["v"]  =  0, ["w"]  =  0,
			["x"]  =  0, ["y"]  =  0, ["z"]  =  0, ["{"]  =  0, ["|"]  = -1, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.Verdana12] = {
		default = 7,
		width = {
			[" "]  =  4, ["!"]  =  5, ["\""] =  5, ["#"]  =  7, ["$"]  =  7, ["%"]  = 11, ["&"]  =  7, ["'"]  =  3,
			["("]  =  4, [")"]  =  4, ["*"]  =  7, ["+"]  =  7, [","]  =  3, ["-"]  =  5, ["."]  =  3, ["/"]  =  4,
			["0"]  =  7, ["1"]  =  7, ["2"]  =  7, ["3"]  =  7, ["4"]  =  7, ["5"]  =  7, ["6"]  =  7, ["7"]  =  7,
			["8"]  =  7, ["9"]  =  7, [":"]  =  4, [";"]  =  4, ["<"]  =  7, ["="]  =  7, [">"]  =  7, ["?"]  =  6,
			["@"]  = 10, ["A"]  =  8, ["B"]  =  7, ["C"]  =  8, ["D"]  =  8, ["E"]  =  7, ["F"]  =  6, ["G"]  =  8,
			["H"]  =  8, ["I"]  =  5, ["J"]  =  5, ["K"]  =  7, ["L"]  =  6, ["M"]  =  9, ["N"]  =  8, ["O"]  =  9,
			["P"]  =  7, ["Q"]  =  9, ["R"]  =  7, ["S"]  =  7, ["T"]  =  7, ["U"]  =  8, ["V"]  =  8, ["W"]  =  9,
			["X"]  =  7, ["Y"]  =  7, ["Z"]  =  7, ["["]  =  4, ["\\"] =  4, ["]"]  =  4, ["^"]  =  7, ["_"]  =  6,
			["`"]  =  6, ["a"]  =  6, ["b"]  =  6, ["c"]  =  6, ["d"]  =  6, ["e"]  =  6, ["f"]  =  3, ["g"]  =  6,
			["h"]  =  6, ["i"]  =  3, ["j"]  =  3, ["k"]  =  6, ["l"]  =  3, ["m"]  =  9, ["n"]  =  6, ["o"]  =  6,
			["p"]  =  6, ["q"]  =  6, ["r"]  =  4, ["s"]  =  6, ["t"]  =  4, ["u"]  =  6, ["v"]  =  6, ["w"]  =  7,
			["x"]  =  6, ["y"]  =  6, ["z"]  =  5, ["{"]  =  6, ["|"]  =  5, ["}"]  =  6, ["~"]  =  7
		},
		head = { ["j"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  = -1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  0, ["'"]  = -1,
			["("]  =  0, [")"]  = -1, ["*"]  = -1, ["+"]  = -1, [","]  = -1, ["-"]  = -1, ["."]  = -1, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -1, ["4"]  = -1, ["5"]  = -1, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -2, [";"]  = -2, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  = -1, ["L"]  =  0, ["M"]  = -1, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  = -1, ["S"]  = -1, ["T"]  =  0, ["U"]  = -1, ["V"]  =  0, ["W"]  = -1,
			["X"]  =  0, ["Y"]  =  0, ["Z"]  = -1, ["["]  = -1, ["\\"] =  0, ["]"]  = -1, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -2, ["a"]  = -1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  =  1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  = -1, ["l"]  = -1, ["m"]  = -1, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -1, ["r"]  =  0, ["s"]  = -1, ["t"]  =  0, ["u"]  = -1, ["v"]  =  0, ["w"]  = -1,
			["x"]  =  0, ["y"]  =  0, ["z"]  = -1, ["{"]  = -1, ["|"]  = -2, ["}"]  =  0, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.Verdana14] = {
		default = 8,
		width = {
			[" "]  =  5, ["!"]  =  5, ["\""] =  6, ["#"]  = 10, ["$"]  =  8, ["%"]  = 13, ["&"]  =  9, ["'"]  =  3,
			["("]  =  5, [")"]  =  5, ["*"]  =  8, ["+"]  =  9, [","]  =  4, ["-"]  =  5, ["."]  =  4, ["/"]  =  5,
			["0"]  =  8, ["1"]  =  8, ["2"]  =  8, ["3"]  =  8, ["4"]  =  8, ["5"]  =  8, ["6"]  =  8, ["7"]  =  8,
			["8"]  =  8, ["9"]  =  8, [":"]  =  5, [";"]  =  5, ["<"]  =  9, ["="]  =  9, [">"]  =  9, ["?"]  =  7,
			["@"]  = 12, ["A"]  =  8, ["B"]  =  8, ["C"]  =  9, ["D"]  =  9, ["E"]  =  8, ["F"]  =  7, ["G"]  =  9,
			["H"]  =  9, ["I"]  =  5, ["J"]  =  5, ["K"]  =  8, ["L"]  =  7, ["M"]  = 10, ["N"]  =  9, ["O"]  = 10,
			["P"]  =  8, ["Q"]  = 10, ["R"]  =  8, ["S"]  =  8, ["T"]  =  7, ["U"]  =  9, ["V"]  =  8, ["W"]  = 13,
			["X"]  =  8, ["Y"]  =  7, ["Z"]  =  8, ["["]  =  5, ["\\"] =  5, ["]"]  =  5, ["^"]  = 10, ["_"]  =  8,
			["`"]  =  8, ["a"]  =  8, ["b"]  =  8, ["c"]  =  6, ["d"]  =  8, ["e"]  =  8, ["f"]  =  4, ["g"]  =  8,
			["h"]  =  8, ["i"]  =  3, ["j"]  =  4, ["k"]  =  7, ["l"]  =  3, ["m"]  = 11, ["n"]  =  8, ["o"]  =  8,
			["p"]  =  8, ["q"]  =  8, ["r"]  =  5, ["s"]  =  7, ["t"]  =  5, ["u"]  =  8, ["v"]  =  7, ["w"]  = 11,
			["x"]  =  7, ["y"]  =  7, ["z"]  =  7, ["{"]  =  8, ["|"]  =  5, ["}"]  =  8, ["~"]  = 10
		},
		head = { ["A"] = 2, ["V"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  = -1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  1, ["'"]  = -1,
			["("]  = -1, [")"]  = -1, ["*"]  = -2, ["+"]  = -1, [","]  =  0, ["-"]  =  0, ["."]  = -1, ["/"]  =  1,
			["0"]  = -1, ["1"]  = -1, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -2, [";"]  = -1, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  = -1, ["L"]  =  0, ["M"]  = -1, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  =  0, ["S"]  = -1, ["T"]  =  0, ["U"]  = -1, ["V"]  =  1, ["W"]  =  0,
			["X"]  =  0, ["Y"]  =  0, ["Z"]  = -1, ["["]  = -1, ["\\"] =  0, ["]"]  = -1, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -4, ["a"]  = -1, ["b"]  = -1, ["c"]  =  0, ["d"]  = -1, ["e"]  = -1, ["f"]  =  0, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  0, ["l"]  = -1, ["m"]  = -1, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -1, ["r"]  =  0, ["s"]  =  0, ["t"]  =  0, ["u"]  = -1, ["v"]  =  0, ["w"]  = -1,
			["x"]  =  0, ["y"]  = -1, ["z"]  = -1, ["{"]  = -2, ["|"]  = -2, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.Verdana16] = {
		default = 8,
		width = {
			[" "]  =  6, ["!"]  =  5, ["\""] =  5, ["#"]  = 10, ["$"]  =  8, ["%"]  = 13, ["&"]  =  9, ["'"]  =  3,
			["("]  =  6, [")"]  =  6, ["*"]  =  9, ["+"]  =  9, [","]  =  5, ["-"]  =  7, ["."]  =  5, ["/"]  =  6,
			["0"]  =  8, ["1"]  =  8, ["2"]  =  8, ["3"]  =  8, ["4"]  =  8, ["5"]  =  8, ["6"]  =  8, ["7"]  =  8,
			["8"]  =  8, ["9"]  =  8, [":"]  =  6, [";"]  =  6, ["<"]  =  9, ["="]  =  9, [">"]  =  9, ["?"]  =  7,
			["@"]  = 13, ["A"]  =  9, ["B"]  =  8, ["C"]  =  9, ["D"]  =  9, ["E"]  =  8, ["F"]  =  8, ["G"]  =  9,
			["H"]  =  9, ["I"]  =  5, ["J"]  =  6, ["K"]  =  8, ["L"]  =  7, ["M"]  = 11, ["N"]  =  9, ["O"]  = 10,
			["P"]  =  8, ["Q"]  = 10, ["R"]  =  8, ["S"]  =  9, ["T"]  =  9, ["U"]  =  9, ["V"]  =  9, ["W"]  = 13,
			["X"]  =  9, ["Y"]  =  9, ["Z"]  =  9, ["["]  =  6, ["\\"] =  6, ["]"]  =  6, ["^"]  = 11, ["_"]  =  8,
			["`"]  =  8, ["a"]  =  8, ["b"]  =  8, ["c"]  =  8, ["d"]  =  8, ["e"]  =  8, ["f"]  =  5, ["g"]  =  8,
			["h"]  =  8, ["i"]  =  3, ["j"]  =  4, ["k"]  =  7, ["l"]  =  3, ["m"]  = 11, ["n"]  =  8, ["o"]  =  8,
			["p"]  =  8, ["q"]  =  8, ["r"]  =  5, ["s"]  =  7, ["t"]  =  6, ["u"]  =  8, ["v"]  =  8, ["w"]  = 11,
			["x"]  =  7, ["y"]  =  8, ["z"]  =  7, ["{"]  =  8, ["|"]  =  7, ["}"]  =  8, ["~"]  = 11
		},
		head = { ["j"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  = -1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  1, ["'"]  = -1,
			["("]  = -1, [")"]  = -1, ["*"]  = -2, ["+"]  = -1, [","]  = -1, ["-"]  = -1, ["."]  = -2, ["/"]  =  1,
			["0"]  = -1, ["1"]  = -1, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -3, [";"]  = -2, ["<"]  = -1, ["="]  = -1, [">"]  = -1, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  = -1, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  = -1, ["L"]  =  0, ["M"]  = -1, ["N"]  = -1, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  =  1, ["S"]  = -1, ["T"]  = -1, ["U"]  = -1, ["V"]  =  0, ["W"]  =  0,
			["X"]  =  0, ["Y"]  = -1, ["Z"]  = -1, ["["]  = -1, ["\\"] =  0, ["]"]  = -2, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -3, ["a"]  = -1, ["b"]  = -1, ["c"]  = -1, ["d"]  = -1, ["e"]  = -1, ["f"]  =  1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  0, ["l"]  = -1, ["m"]  = -1, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -1, ["r"]  =  0, ["s"]  =  0, ["t"]  = -1, ["u"]  = -1, ["v"]  =  0, ["w"]  = -1,
			["x"]  =  0, ["y"]  =  0, ["z"]  = -1, ["{"]  = -2, ["|"]  = -3, ["}"]  = -1, ["~"]  = -2
		}
	},

	[Turbine.UI.Lotro.Font.Verdana18] = {
		default = 10,
		width = {
			[" "]  =  6, ["!"]  =  6, ["\""] =  7, ["#"]  = 12, ["$"]  = 10, ["%"]  = 16, ["&"]  = 11, ["'"]  =  4,
			["("]  =  7, [")"]  =  7, ["*"]  = 10, ["+"]  = 12, [","]  =  5, ["-"]  =  7, ["."]  =  5, ["/"]  =  7,
			["0"]  = 10, ["1"]  = 10, ["2"]  = 10, ["3"]  = 10, ["4"]  = 10, ["5"]  = 10, ["6"]  = 10, ["7"]  = 10,
			["8"]  = 10, ["9"]  = 10, [":"]  =  7, [";"]  =  7, ["<"]  = 12, ["="]  = 12, [">"]  = 12, ["?"]  =  8,
			["@"]  = 15, ["A"]  = 10, ["B"]  = 10, ["C"]  = 11, ["D"]  = 11, ["E"]  =  9, ["F"]  =  9, ["G"]  = 12,
			["H"]  = 11, ["I"]  =  5, ["J"]  =  7, ["K"]  = 10, ["L"]  =  8, ["M"]  = 13, ["N"]  = 11, ["O"]  = 12,
			["P"]  =  9, ["Q"]  = 12, ["R"]  = 10, ["S"]  = 10, ["T"]  =  9, ["U"]  = 11, ["V"]  = 10, ["W"]  = 15,
			["X"]  = 10, ["Y"]  =  9, ["Z"]  = 10, ["["]  =  7, ["\\"] =  7, ["]"]  =  7, ["^"]  = 12, ["_"]  = 10,
			["`"]  = 10, ["a"]  =  9, ["b"]  =  9, ["c"]  =  8, ["d"]  =  9, ["e"]  =  9, ["f"]  =  5, ["g"]  =  9,
			["h"]  =  9, ["i"]  =  3, ["j"]  =  5, ["k"]  =  9, ["l"]  =  3, ["m"]  = 15, ["n"]  =  9, ["o"]  = 10,
			["p"]  =  9, ["q"]  =  9, ["r"]  =  6, ["s"]  =  8, ["t"]  =  6, ["u"]  =  9, ["v"]  =  9, ["w"]  = 13,
			["x"]  =  9, ["y"]  =  9, ["z"]  =  9, ["{"]  = 10, ["|"]  =  7, ["}"]  = 10, ["~"]  = 12
		},
		head = { ["A"] = 2, ["V"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -3, ["\""] = -2, ["#"]  = -2, ["$"]  = -2, ["%"]  = -1, ["&"]  =  1, ["'"]  = -2,
			["("]  = -2, [")"]  = -1, ["*"]  = -2, ["+"]  = -1, [","]  = -1, ["-"]  = -1, ["."]  = -2, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -2,
			["8"]  = -1, ["9"]  = -1, [":"]  = -3, [";"]  = -2, ["<"]  = -2, ["="]  = -1, [">"]  = -2, ["?"]  = -1,
			["@"]  = -2, ["A"]  =  1, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -1, ["I"]  = -1, ["J"]  = -1, ["K"]  =  0, ["L"]  =  0, ["M"]  = -1, ["N"]  = -1, ["O"]  = -1,
			["P"]  =  0, ["Q"]  = -1, ["R"]  =  0, ["S"]  = -1, ["T"]  =  0, ["U"]  = -1, ["V"]  =  1, ["W"]  = -1,
			["X"]  = -1, ["Y"]  =  0, ["Z"]  = -1, ["["]  = -1, ["\\"] =  0, ["]"]  = -2, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -5, ["a"]  = -1, ["b"]  = -1, ["c"]  =  0, ["d"]  = -1, ["e"]  = -1, ["f"]  =  1, ["g"]  = -1,
			["h"]  = -1, ["i"]  = -1, ["j"]  = -1, ["k"]  =  0, ["l"]  = -1, ["m"]  = -2, ["n"]  = -1, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -1, ["r"]  =  0, ["s"]  = -1, ["t"]  =  0, ["u"]  = -1, ["v"]  =  0, ["w"]  = -1,
			["x"]  = -1, ["y"]  =  0, ["z"]  = -1, ["{"]  = -2, ["|"]  = -3, ["}"]  = -1, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.Verdana20] = {
		default = 11,
		width = {
			[" "]  =  7, ["!"]  =  7, ["\""] =  8, ["#"]  = 14, ["$"]  = 11, ["%"]  = 18, ["&"]  = 12, ["'"]  =  5,
			["("]  =  8, [")"]  =  8, ["*"]  = 11, ["+"]  = 14, [","]  =  6, ["-"]  =  8, ["."]  =  6, ["/"]  =  8,
			["0"]  = 11, ["1"]  = 11, ["2"]  = 11, ["3"]  = 11, ["4"]  = 11, ["5"]  = 11, ["6"]  = 11, ["7"]  = 11,
			["8"]  = 11, ["9"]  = 11, [":"]  =  8, [";"]  =  8, ["<"]  = 14, ["="]  = 14, [">"]  = 14, ["?"]  =  9,
			["@"]  = 17, ["A"]  = 12, ["B"]  = 12, ["C"]  = 12, ["D"]  = 13, ["E"]  = 11, ["F"]  = 10, ["G"]  = 13,
			["H"]  = 13, ["I"]  =  8, ["J"]  =  8, ["K"]  = 12, ["L"]  =  9, ["M"]  = 14, ["N"]  = 13, ["O"]  = 13,
			["P"]  = 10, ["Q"]  = 13, ["R"]  = 12, ["S"]  = 12, ["T"]  = 10, ["U"]  = 12, ["V"]  = 12, ["W"]  = 17,
			["X"]  = 12, ["Y"]  = 10, ["Z"]  = 12, ["["]  =  8, ["\\"] =  8, ["]"]  =  8, ["^"]  = 14, ["_"]  = 11,
			["`"]  = 11, ["a"]  = 10, ["b"]  = 11, ["c"]  =  9, ["d"]  = 11, ["e"]  = 10, ["f"]  =  6, ["g"]  = 11,
			["h"]  = 11, ["i"]  =  5, ["j"]  =  6, ["k"]  = 10, ["l"]  =  5, ["m"]  = 17, ["n"]  = 11, ["o"]  = 10,
			["p"]  = 11, ["q"]  = 11, ["r"]  =  7, ["s"]  =  9, ["t"]  =  7, ["u"]  = 11, ["v"]  = 10, ["w"]  = 14,
			["x"]  = 10, ["y"]  = 10, ["z"]  =  9, ["{"]  = 11, ["|"]  =  8, ["}"]  = 11, ["~"]  = 14
		},
		head = { ["j"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -2, ["#"]  = -1, ["$"]  = -1, ["%"]  = -1, ["&"]  =  1, ["'"]  = -2,
			["("]  = -2, [")"]  = -2, ["*"]  = -2, ["+"]  = -2, [","]  = -1, ["-"]  = -2, ["."]  = -2, ["/"]  = -1,
			["0"]  = -1, ["1"]  = -1, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -2,
			["8"]  = -1, ["9"]  = -1, [":"]  = -3, [";"]  = -2, ["<"]  = -2, ["="]  = -2, [">"]  = -2, ["?"]  = -1,
			["@"]  = -2, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -2, ["I"]  = -1, ["J"]  = -2, ["K"]  =  0, ["L"]  =  0, ["M"]  = -2, ["N"]  = -2, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  =  0, ["S"]  = -1, ["T"]  =  0, ["U"]  = -1, ["V"]  =  0, ["W"]  = -1,
			["X"]  = -1, ["Y"]  =  0, ["Z"]  = -1, ["["]  = -2, ["\\"] =  0, ["]"]  = -3, ["^"]  = -1, ["_"]  =  0,
			["`"]  = -4, ["a"]  = -2, ["b"]  = -1, ["c"]  = -1, ["d"]  = -2, ["e"]  = -1, ["f"]  =  0, ["g"]  = -2,
			["h"]  = -2, ["i"]  = -2, ["j"]  = -2, ["k"]  =  0, ["l"]  = -2, ["m"]  = -2, ["n"]  = -2, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -2, ["r"]  =  0, ["s"]  = -1, ["t"]  =  0, ["u"]  = -2, ["v"]  = -1, ["w"]  = -1,
			["x"]  = -1, ["y"]  = -1, ["z"]  = -1, ["{"]  = -1, ["|"]  = -3, ["}"]  = -2, ["~"]  = -1
		}
	},

	[Turbine.UI.Lotro.Font.Verdana22] = {
		default = 11,
		width = {
			[" "]  =  7, ["!"]  =  7, ["\""] =  8, ["#"]  = 15, ["$"]  = 11, ["%"]  = 19, ["&"]  = 13, ["'"]  =  5,
			["("]  =  8, [")"]  =  8, ["*"]  = 11, ["+"]  = 15, [","]  =  7, ["-"]  =  8, ["."]  =  7, ["/"]  =  8,
			["0"]  = 11, ["1"]  = 11, ["2"]  = 11, ["3"]  = 11, ["4"]  = 11, ["5"]  = 11, ["6"]  = 11, ["7"]  = 11,
			["8"]  = 11, ["9"]  = 11, [":"]  =  8, [";"]  =  8, ["<"]  = 15, ["="]  = 15, [">"]  = 15, ["?"]  = 10,
			["@"]  = 18, ["A"]  = 12, ["B"]  = 12, ["C"]  = 13, ["D"]  = 14, ["E"]  = 11, ["F"]  = 10, ["G"]  = 14,
			["H"]  = 14, ["I"]  =  8, ["J"]  =  8, ["K"]  = 12, ["L"]  = 10, ["M"]  = 15, ["N"]  = 13, ["O"]  = 14,
			["P"]  = 11, ["Q"]  = 14, ["R"]  = 13, ["S"]  = 12, ["T"]  = 11, ["U"]  = 13, ["V"]  = 12, ["W"]  = 18,
			["X"]  = 12, ["Y"]  = 11, ["Z"]  = 12, ["["]  =  8, ["\\"] =  8, ["]"]  =  8, ["^"]  = 15, ["_"]  = 11,
			["`"]  = 11, ["a"]  = 11, ["b"]  = 11, ["c"]  =  9, ["d"]  = 11, ["e"]  = 11, ["f"]  =  6, ["g"]  = 11,
			["h"]  = 11, ["i"]  =  5, ["j"]  =  6, ["k"]  = 11, ["l"]  =  5, ["m"]  = 18, ["n"]  = 11, ["o"]  = 11,
			["p"]  = 11, ["q"]  = 11, ["r"]  =  8, ["s"]  =  9, ["t"]  =  7, ["u"]  = 11, ["v"]  = 11, ["w"]  = 15,
			["x"]  = 11, ["y"]  = 11, ["z"]  =  9, ["{"]  = 11, ["|"]  =  8, ["}"]  = 11, ["~"]  = 15
		},
		head = { ["j"] = 2 },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -2, ["#"]  = -2, ["$"]  = -1, ["%"]  = -1, ["&"]  =  0, ["'"]  = -2,
			["("]  = -2, [")"]  = -2, ["*"]  = -1, ["+"]  = -1, [","]  = -2, ["-"]  = -2, ["."]  = -3, ["/"]  =  0,
			["0"]  = -1, ["1"]  = -1, ["2"]  = -1, ["3"]  = -1, ["4"]  =  0, ["5"]  = -1, ["6"]  = -1, ["7"]  = -1,
			["8"]  = -1, ["9"]  = -1, [":"]  = -3, [";"]  = -2, ["<"]  = -3, ["="]  = -3, [">"]  = -3, ["?"]  = -2,
			["@"]  = -1, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -2, ["I"]  = -1, ["J"]  = -2, ["K"]  =  0, ["L"]  =  0, ["M"]  = -2, ["N"]  = -2, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  =  0, ["S"]  = -1, ["T"]  =  1, ["U"]  = -2, ["V"]  =  0, ["W"]  = -1,
			["X"]  = -1, ["Y"]  =  1, ["Z"]  = -1, ["["]  = -1, ["\\"] =  1, ["]"]  = -1, ["^"]  = -2, ["_"]  =  0,
			["`"]  = -4, ["a"]  = -2, ["b"]  = -1, ["c"]  = -1, ["d"]  = -2, ["e"]  = -1, ["f"]  =  0, ["g"]  = -2,
			["h"]  = -2, ["i"]  = -2, ["j"]  = -2, ["k"]  =  0, ["l"]  = -2, ["m"]  = -2, ["n"]  = -2, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -2, ["r"]  =  0, ["s"]  = -1, ["t"]  =  0, ["u"]  = -2, ["v"]  = -1, ["w"]  = -1,
			["x"]  = -1, ["y"]  = -1, ["z"]  = -1, ["{"]  = -1, ["|"]  = -3, ["}"]  = -2, ["~"]  = -2
		}
	},

	[Turbine.UI.Lotro.Font.Verdana23] = {
		default = 12,
		width = {
			[" "]  =  8, ["!"]  =  7, ["\""] =  9, ["#"]  = 16, ["$"]  = 12, ["%"]  = 20, ["&"]  = 14, ["'"]  =  5,
			["("]  =  9, [")"]  =  9, ["*"]  = 12, ["+"]  = 16, [","]  =  7, ["-"]  =  9, ["."]  =  7, ["/"]  =  9,
			["0"]  = 12, ["1"]  = 12, ["2"]  = 12, ["3"]  = 12, ["4"]  = 12, ["5"]  = 12, ["6"]  = 12, ["7"]  = 12,
			["8"]  = 12, ["9"]  = 12, [":"]  =  9, [";"]  =  9, ["<"]  = 16, ["="]  = 16, [">"]  = 16, ["?"]  = 10,
			["@"]  = 19, ["A"]  = 13, ["B"]  = 13, ["C"]  = 13, ["D"]  = 15, ["E"]  = 12, ["F"]  = 11, ["G"]  = 15,
			["H"]  = 14, ["I"]  =  8, ["J"]  =  9, ["K"]  = 13, ["L"]  = 11, ["M"]  = 16, ["N"]  = 14, ["O"]  = 15,
			["P"]  = 11, ["Q"]  = 15, ["R"]  = 13, ["S"]  = 13, ["T"]  = 12, ["U"]  = 14, ["V"]  = 13, ["W"]  = 19,
			["X"]  = 13, ["Y"]  = 12, ["Z"]  = 13, ["["]  =  9, ["\\"] =  9, ["]"]  =  9, ["^"]  = 16, ["_"]  = 12,
			["`"]  = 12, ["a"]  = 11, ["b"]  = 12, ["c"]  = 10, ["d"]  = 12, ["e"]  = 11, ["f"]  =  7, ["g"]  = 12,
			["h"]  = 12, ["i"]  =  6, ["j"]  =  7, ["k"]  = 11, ["l"]  =  6, ["m"]  = 18, ["n"]  = 12, ["o"]  = 12,
			["p"]  = 12, ["q"]  = 12, ["r"]  =  8, ["s"]  = 10, ["t"]  =  7, ["u"]  = 12, ["v"]  = 11, ["w"]  = 16,
			["x"]  = 11, ["y"]  = 11, ["z"]  = 10, ["{"]  = 12, ["|"]  =  9, ["}"]  = 12, ["~"]  = 16
		},
		head = { },
		tail = {
			[" "]  = -1, ["!"]  = -2, ["\""] = -1, ["#"]  = -2, ["$"]  = -1, ["%"]  = -1, ["&"]  =  0, ["'"]  = -1,
			["("]  = -1, [")"]  = -2, ["*"]  = -2, ["+"]  = -2, [","]  = -2, ["-"]  = -2, ["."]  = -3, ["/"]  = -1,
			["0"]  = -1, ["1"]  = -2, ["2"]  = -1, ["3"]  = -1, ["4"]  = -1, ["5"]  = -1, ["6"]  = -1, ["7"]  = -2,
			["8"]  = -1, ["9"]  = -1, [":"]  = -4, [";"]  = -3, ["<"]  = -3, ["="]  = -3, [">"]  = -3, ["?"]  = -1,
			["@"]  = -1, ["A"]  =  0, ["B"]  = -1, ["C"]  = -1, ["D"]  = -1, ["E"]  = -1, ["F"]  =  0, ["G"]  = -1,
			["H"]  = -2, ["I"]  = -1, ["J"]  = -2, ["K"]  =  0, ["L"]  =  0, ["M"]  = -2, ["N"]  = -2, ["O"]  = -1,
			["P"]  = -1, ["Q"]  = -1, ["R"]  =  0, ["S"]  = -1, ["T"]  =  0, ["U"]  = -2, ["V"]  =  0, ["W"]  = -1,
			["X"]  = -1, ["Y"]  =  0, ["Z"]  = -1, ["["]  = -2, ["\\"] =  0, ["]"]  = -2, ["^"]  = -2, ["_"]  =  0,
			["`"]  = -5, ["a"]  = -2, ["b"]  = -1, ["c"]  = -1, ["d"]  = -2, ["e"]  = -1, ["f"]  =  0, ["g"]  = -2,
			["h"]  = -2, ["i"]  = -2, ["j"]  = -2, ["k"]  =  0, ["l"]  = -2, ["m"]  = -2, ["n"]  = -2, ["o"]  = -1,
			["p"]  = -1, ["q"]  = -2, ["r"]  =  0, ["s"]  = -1, ["t"]  =  0, ["u"]  = -2, ["v"]  = -1, ["w"]  = -1,
			["x"]  = -1, ["y"]  = -1, ["z"]  = -1, ["{"]  = -2, ["|"]  = -3, ["}"]  = -1, ["~"]  = -2
		}
	}
};

-- Determine the length of the text string for a specific font and style
function FontWidth(font, style, markup, text)
	-- If we don't recognize the font, it's the undefined font
	if fontWidth[font] == nil then
		font = Turbine.UI.Lotro.Font.Undefined;
	end

	-- Ignore the style - doesn't actually seem to affect font width

	-- Remove markup tags if markup is active
	if markup then
		text = string.gsub(text, "<[BbIiUuPp]>", "");
		text = string.gsub(text, "</[BbIiUuPp]>", "");
		text = string.gsub(text, "<[Rr][Gg][Bb]=[^>]*>", "");
		text = string.gsub(text, "</[Rr][Gg][Bb]>", "");
	end

	-- calculate the width of text
	-- We'll handle the first three cases of UTF-8 multi-byte characters
	-- but we assume that the trailing characters after the head are correctly formatted
	local pos = 0;
	local width = 0;
	local cur;
	local count = 0;
	for char in string.gmatch(text, ".") do
		repeat
			if count == 0 then
				cur = char;
				local x = string.byte(char);
				if x >= 0xC0 and x <= 0xDF then
					count = 1;
					break;
				elseif x >= 0xE0 and x <= 0xEF then
					count = 2;
					break;
				elseif x >= 0xF0 and x <= 0xF7 then
					count = 3;
					break;
				end
			else
				cur = cur .. char;
				count = count - 1;
				if count > 0 then
					break;
				end
			end

			if pos == 0 then
				pos = fontWidth[font].head[cur] or 0;
			end
			pos = pos + (fontWidth[font].width[cur] or fontWidth[font].default);
			local t = pos + (fontWidth[font].tail[cur] or 0);
			if t > width then
				width = t;
			end
		until true
	end

	return width;
end